//  Persistence of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 6 lights, 85 materials and 693 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.3 For Windows Copyright (c) 1993-2000 Lutz + Kretzschmar
//

//  Date : 06/27/2002    (27.06.2002)
//



/* // Scene Comment


Comment merged from disk.mdl:
This scene was created with Moray For Windows.
Comment merged from photo_ship.mdl:
This scene was created with Moray V3.3 For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <     75.000,     -75.000,      50.000>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.34318,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         25.50000    // Vertical      19.125
  look_at   <      2.000,      -2.000,      36.000>
}

//
// *******  L I G H T S *******
//

light_source {   // Arealight Arealight006
  <0.0, 0.0, 0.0>
  color rgb <0.600, 0.480, 0.360>
  area_light <2.000, 0.000, 0.000>, <0.000, 2.000, 0.000>, 3, 3
  adaptive 1
  jitter
  scale <3.0, 3.0, 2.0>
  translate  <59.5, -47.5, 94.5>
}


light_source {   // Arealight Arealight005
  <0.0, 0.0, 0.0>
  color rgb <0.800, 0.850, 1.000>
  area_light <2.000, 0.000, 0.000>, <0.000, 2.000, 0.000>, 4, 4
  adaptive 1
  jitter
  scale <100.0, 100.0, 1.0>
  translate  100.0*z
}


light_source {   // Arealight Arealight004
  <0.0, 0.0, 0.0>
  color rgb <0.800, 0.850, 1.000>
  area_light <2.000, 0.000, 0.000>, <0.000, 2.000, 0.000>, 4, 4
  adaptive 1
  jitter
  scale <100.0, 100.0, 1.0>
  rotate -90.0*y
  translate  -100.0*x
}


light_source {   // Arealight Arealight003
  <0.0, 0.0, 0.0>
  color rgb <0.800, 0.850, 1.000>
  area_light <2.000, 0.000, 0.000>, <0.000, 2.000, 0.000>, 4, 4
  adaptive 1
  jitter
  scale <100.0, 100.0, 1.0>
  rotate -90.0*y
  translate  100.0*x
}


light_source {   // Arealight Arealight002
  <0.0, 0.0, 0.0>
  color rgb <0.800, 0.850, 1.000>
  area_light <2.000, 0.000, 0.000>, <0.000, 2.000, 0.000>, 4, 4
  adaptive 1
  jitter
  scale <100.0, 100.0, 1.0>
  rotate -90.0*x
  translate  -100.0*y
}


light_source {   // Arealight Arealight001
  <0.0, 0.0, 0.0>
  color rgb <0.800, 0.850, 1.000>
  area_light <2.000, 0.000, 0.000>, <0.000, 2.000, 0.000>, 4, 4
  adaptive 1
  jitter
  scale <100.0, 100.0, 1.0>
  rotate -90.0*x
  translate  100.0*y
}



//  Moray V3.3 For Windows Copyright (c) 1993-2000 Lutz + Kretzschmar
//

//
// ********  MATERIALS  *******
//

#include "js_win.inc"


//
// ********  REFERENCED OBJECTS  *******
//

#declare RndCube025 = merge {
  sphere { <0.1775, 1.4900, 0.0525>, 0.0100 }
  sphere { <0.1775, -1.4900, 0.0525>, 0.0100 }
  sphere { <-0.1775, -1.4900, 0.0525>, 0.0100 }
  sphere { <-0.1775, 1.4900, 0.0525>, 0.0100 }
  sphere { <0.1775, 1.4900, -0.0525>, 0.0100 }
  sphere { <0.1775, -1.4900, -0.0525>, 0.0100 }
  sphere { <-0.1775, -1.4900, -0.0525>, 0.0100 }
  sphere { <-0.1775, 1.4900, -0.0525>, 0.0100 }
  cylinder { <0.1775, 1.4900, 0.0525>, <-0.1775, 1.4900, 0.0525>, 0.0100 }
  cylinder { <0.1775, -1.4900, 0.0525>, <-0.1775, -1.4900, 0.0525>, 0.0100 }
  cylinder { <0.1775, -1.4900, -0.0525>, <-0.1775, -1.4900, -0.0525>, 0.0100 }
  cylinder { <0.1775, 1.4900, -0.0525>, <-0.1775, 1.4900, -0.0525>, 0.0100 }
  cylinder { <0.1775, 1.4900, -0.0525>, <0.1775, 1.4900, 0.0525>, 0.0100 }
  cylinder { <0.1775, -1.4900, -0.0525>, <0.1775, -1.4900, 0.0525>, 0.0100 }
  cylinder { <-0.1775, -1.4900, -0.0525>, <-0.1775, -1.4900, 0.0525>, 0.0100 }
  cylinder { <-0.1775, 1.4900, -0.0525>, <-0.1775, 1.4900, 0.0525>, 0.0100 }
  cylinder { <0.1775, 1.4900, 0.0525>, <0.1775, -1.4900, 0.0525>, 0.0100 }
  cylinder { <0.1775, 1.4900, -0.0525>, <0.1775, -1.4900, -0.0525>, 0.0100 }
  cylinder { <-0.1775, 1.4900, -0.0525>, <-0.1775, -1.4900, -0.0525>, 0.0100 }
  cylinder { <-0.1775, 1.4900, 0.0525>, <-0.1775, -1.4900, 0.0525>, 0.0100 }
  box { <-0.1775, -1.4900, -0.0625> <0.1775, 1.4900, 0.0625> }
  box { <-0.1775, -1.5000, -0.0525> <0.1775, 1.5000, 0.0525> }
  box { <-0.1875, -1.4900, -0.0525> <0.1875, 1.4900, 0.0525> }
  translate  <-0.1875, 1.5, 0.0625>
}
#declare CSG042 = difference {
  object { RndCube025 }
  box { // Cube258
    <-1, -1, -1>, <1, 1, 1>
    rotate <-0.0, -0.0, 0.0>
    translate  <-1.0, 1.0, 1.0>
    scale <0.25, 1.75, 0.125>
    translate  <-0.125, 0.05, 0.025>
  }
  translate  <2.625, 0.0, 0.125>
}
#declare RndCube026 = merge {
  sphere { <0.1775, 1.4900, 0.0525>, 0.0100 }
  sphere { <0.1775, -1.4900, 0.0525>, 0.0100 }
  sphere { <-0.1775, -1.4900, 0.0525>, 0.0100 }
  sphere { <-0.1775, 1.4900, 0.0525>, 0.0100 }
  sphere { <0.1775, 1.4900, -0.0525>, 0.0100 }
  sphere { <0.1775, -1.4900, -0.0525>, 0.0100 }
  sphere { <-0.1775, -1.4900, -0.0525>, 0.0100 }
  sphere { <-0.1775, 1.4900, -0.0525>, 0.0100 }
  cylinder { <0.1775, 1.4900, 0.0525>, <-0.1775, 1.4900, 0.0525>, 0.0100 }
  cylinder { <0.1775, -1.4900, 0.0525>, <-0.1775, -1.4900, 0.0525>, 0.0100 }
  cylinder { <0.1775, -1.4900, -0.0525>, <-0.1775, -1.4900, -0.0525>, 0.0100 }
  cylinder { <0.1775, 1.4900, -0.0525>, <-0.1775, 1.4900, -0.0525>, 0.0100 }
  cylinder { <0.1775, 1.4900, -0.0525>, <0.1775, 1.4900, 0.0525>, 0.0100 }
  cylinder { <0.1775, -1.4900, -0.0525>, <0.1775, -1.4900, 0.0525>, 0.0100 }
  cylinder { <-0.1775, -1.4900, -0.0525>, <-0.1775, -1.4900, 0.0525>, 0.0100 }
  cylinder { <-0.1775, 1.4900, -0.0525>, <-0.1775, 1.4900, 0.0525>, 0.0100 }
  cylinder { <0.1775, 1.4900, 0.0525>, <0.1775, -1.4900, 0.0525>, 0.0100 }
  cylinder { <0.1775, 1.4900, -0.0525>, <0.1775, -1.4900, -0.0525>, 0.0100 }
  cylinder { <-0.1775, 1.4900, -0.0525>, <-0.1775, -1.4900, -0.0525>, 0.0100 }
  cylinder { <-0.1775, 1.4900, 0.0525>, <-0.1775, -1.4900, 0.0525>, 0.0100 }
  box { <-0.1775, -1.4900, -0.0625> <0.1775, 1.4900, 0.0625> }
  box { <-0.1775, -1.5000, -0.0525> <0.1775, 1.5000, 0.0525> }
  box { <-0.1875, -1.4900, -0.0525> <0.1875, 1.4900, 0.0525> }
  translate  <0.1875, 1.5, 0.0625>
}
#declare CSG064 = difference {
  object { RndCube026 }
  box { // Cube261
    <-1, -1, -1>, <1, 1, 1>
    rotate <-0.0, -0.0, 0.0>
    translate  <1.0, 1.0, 1.0>
    scale <0.25, 1.75, 0.125>
    translate  <0.125, 0.05, 0.025>
  }
  translate  <-2.625, 0.0, 0.125>
}


#declare StandardKey = difference {
  box { // Cube098
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube099
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube100
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube101
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube102
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -5.25*x
}
#declare StandardKey13 = difference {
  box { // Cube113
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube114
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube115
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube116
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube117
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -4.125*x
}
#declare StandardKey25 = difference {
  box { // Cube123
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube130
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube131
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube132
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube133
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -4.0*x
}
#declare StandardKey36 = difference {
  box { // Cube149
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube150
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube151
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube152
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube155
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -3.6*x
}
#declare AltKey = difference {
  box { // Cube161
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube162
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.625, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube163
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.375, 0.0, 0.5>
  }
  box { // Cube164
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.375, 0.0, 0.5>
  }
  box { // Cube165
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.625, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -5.125*x
}
#declare AltKey3 = difference {
  box { // Cube171
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube172
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.625, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube173
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.375, 0.0, 0.5>
  }
  box { // Cube174
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.375, 0.0, 0.5>
  }
  box { // Cube175
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.625, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  5.125*x
}
#declare StandardKey47 = difference {
  box { // Cube176
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube177
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube178
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube179
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube180
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
}
#declare KeyRow = union {
  object { StandardKey47 }
  object { // StandardKey48 -> StandardKey47
    StandardKey47
    translate  -0.75*x
  }
  object { // StandardKey49 -> StandardKey47
    StandardKey47
    translate  0.75*x
  }
}
#declare StandardKey55 = difference {
  box { // Cube186
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube187
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube188
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube189
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube190
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -1.125*x
}
#declare StandardKey59 = difference {
  box { // Cube191
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube192
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube193
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube194
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube195
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -1.125*x
}
#declare StandardKey51 = difference {
  box { // Cube226
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube227
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube228
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube229
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube230
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -1.125*x
}
#declare StandardKey77 = difference {
  box { // Cube241
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube242
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube243
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube244
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube245
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
}




//
// ********  OBJECTS  *******
//

#declare PinPoint2 = union {
  cone { // Cone009
    <0,0,0>, 0.0, <0,0,1>, 0.03125
    scale <1.0, 1.0, 0.125>
  }
  cylinder { // Cylndr034
    <0,0,1>, <0,0,0>, 1 
    scale <0.03125, 0.03125, 0.25>
    translate  0.125*z
  }
  material {
    SilverTexture
  }
}
#declare CSG096 = difference {
  sphere { // Sphere004
    <0,0,0>,1
    scale <0.1875, 0.1875, 0.149247>
  }
  cylinder { // Cylndr036
    <0,0,1>, <0,0,0>, 1 
    scale <0.19, 0.19, -0.15>
  }
}
#declare PinBody2 = union {
  cone { // Cone011
    <0,0,0>, 0.09375, <0,0,1>, 0.0625
    scale <1.0, 1.0, 0.25>
    translate  0.125*z
  }
  cone { // Cone012
    <0,0,0>, 0.0625, <0,0,1>, 0.125
    scale <1.0, 1.0, 0.0625>
    translate  0.375*z
  }
  cylinder { // Cylndr035
    <0,0,1>, <0,0,0>, 1 
    scale <0.125, 0.125, 0.0625>
    translate  0.4375*z
  }
  object { CSG096 }
  material {
    BluePlastic
  }
  translate  0.375*z
}
union { // Pin2
  object { PinPoint2 }
  object { PinBody2 }
  rotate <67.5, 0.0, 45.0>
  translate  <1.9, -9.9, 50.625>
}


#declare RndCube039 = merge {
  sphere { <1.7400, 1.7400, 0.0525>, 0.0100 }
  sphere { <1.7400, -1.7400, 0.0525>, 0.0100 }
  sphere { <-1.7400, -1.7400, 0.0525>, 0.0100 }
  sphere { <-1.7400, 1.7400, 0.0525>, 0.0100 }
  sphere { <1.7400, 1.7400, -0.0525>, 0.0100 }
  sphere { <1.7400, -1.7400, -0.0525>, 0.0100 }
  sphere { <-1.7400, -1.7400, -0.0525>, 0.0100 }
  sphere { <-1.7400, 1.7400, -0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, 0.0525>, <-1.7400, 1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, -1.7400, 0.0525>, <-1.7400, -1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, -1.7400, -0.0525>, <-1.7400, -1.7400, -0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, -0.0525>, <-1.7400, 1.7400, -0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, -0.0525>, <1.7400, 1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, -1.7400, -0.0525>, <1.7400, -1.7400, 0.0525>, 0.0100 }
  cylinder { <-1.7400, -1.7400, -0.0525>, <-1.7400, -1.7400, 0.0525>, 0.0100 }
  cylinder { <-1.7400, 1.7400, -0.0525>, <-1.7400, 1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, 0.0525>, <1.7400, -1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, -0.0525>, <1.7400, -1.7400, -0.0525>, 0.0100 }
  cylinder { <-1.7400, 1.7400, -0.0525>, <-1.7400, -1.7400, -0.0525>, 0.0100 }
  cylinder { <-1.7400, 1.7400, 0.0525>, <-1.7400, -1.7400, 0.0525>, 0.0100 }
  box { <-1.7400, -1.7400, -0.0625> <1.7400, 1.7400, 0.0625> }
  box { <-1.7400, -1.7500, -0.0525> <1.7400, 1.7500, 0.0525> }
  box { <-1.7500, -1.7400, -0.0525> <1.7500, 1.7400, 0.0525> }
  translate  0.0625*z
}
#declare RndCube040 = merge {
  sphere { <1.2500, 0.6250, 0.3750>, 0.1250 }
  sphere { <1.2500, -0.6250, 0.3750>, 0.1250 }
  sphere { <-1.2500, -0.6250, 0.3750>, 0.1250 }
  sphere { <-1.2500, 0.6250, 0.3750>, 0.1250 }
  sphere { <1.2500, 0.6250, -0.3750>, 0.1250 }
  sphere { <1.2500, -0.6250, -0.3750>, 0.1250 }
  sphere { <-1.2500, -0.6250, -0.3750>, 0.1250 }
  sphere { <-1.2500, 0.6250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, 0.3750>, <-1.2500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -0.6250, 0.3750>, <-1.2500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -0.6250, -0.3750>, <-1.2500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, -0.3750>, <-1.2500, 0.6250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, -0.3750>, <1.2500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -0.6250, -0.3750>, <1.2500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <-1.2500, -0.6250, -0.3750>, <-1.2500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <-1.2500, 0.6250, -0.3750>, <-1.2500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, 0.3750>, <1.2500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, -0.3750>, <1.2500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <-1.2500, 0.6250, -0.3750>, <-1.2500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <-1.2500, 0.6250, 0.3750>, <-1.2500, -0.6250, 0.3750>, 0.1250 }
  box { <-1.2500, -0.6250, -0.5000> <1.2500, 0.6250, 0.5000> }
  box { <-1.2500, -0.7500, -0.3750> <1.2500, 0.7500, 0.3750> }
  box { <-1.3750, -0.6250, -0.3750> <1.3750, 0.6250, 0.3750> }
  translate  -0.75*y
  translate  <0.0, -0.5, 0.0625>
}
#declare RndCube041 = merge {
  sphere { <1.2500, 1.1250, 0.3750>, 0.1250 }
  sphere { <1.2500, -1.1250, 0.3750>, 0.1250 }
  sphere { <-1.2500, -1.1250, 0.3750>, 0.1250 }
  sphere { <-1.2500, 1.1250, 0.3750>, 0.1250 }
  sphere { <1.2500, 1.1250, -0.3750>, 0.1250 }
  sphere { <1.2500, -1.1250, -0.3750>, 0.1250 }
  sphere { <-1.2500, -1.1250, -0.3750>, 0.1250 }
  sphere { <-1.2500, 1.1250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, 0.3750>, <-1.2500, 1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -1.1250, 0.3750>, <-1.2500, -1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -1.1250, -0.3750>, <-1.2500, -1.1250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, -0.3750>, <-1.2500, 1.1250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, -0.3750>, <1.2500, 1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -1.1250, -0.3750>, <1.2500, -1.1250, 0.3750>, 0.1250 }
  cylinder { <-1.2500, -1.1250, -0.3750>, <-1.2500, -1.1250, 0.3750>, 0.1250 }
  cylinder { <-1.2500, 1.1250, -0.3750>, <-1.2500, 1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, 0.3750>, <1.2500, -1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, -0.3750>, <1.2500, -1.1250, -0.3750>, 0.1250 }
  cylinder { <-1.2500, 1.1250, -0.3750>, <-1.2500, -1.1250, -0.3750>, 0.1250 }
  cylinder { <-1.2500, 1.1250, 0.3750>, <-1.2500, -1.1250, 0.3750>, 0.1250 }
  box { <-1.2500, -1.1250, -0.5000> <1.2500, 1.1250, 0.5000> }
  box { <-1.2500, -1.2500, -0.3750> <1.2500, 1.2500, 0.3750> }
  box { <-1.3750, -1.1250, -0.3750> <1.3750, 1.1250, 0.3750> }
  translate  1.25*y
  translate  <0.0, -0.25, 0.0625>
}
#declare RndCube042 = merge {
  sphere { <0.4900, 0.0990, 0.0530>, 0.0100 }
  sphere { <0.4900, -0.0990, 0.0530>, 0.0100 }
  sphere { <-0.4900, -0.0990, 0.0530>, 0.0100 }
  sphere { <-0.4900, 0.0990, 0.0530>, 0.0100 }
  sphere { <0.4900, 0.0990, -0.0530>, 0.0100 }
  sphere { <0.4900, -0.0990, -0.0530>, 0.0100 }
  sphere { <-0.4900, -0.0990, -0.0530>, 0.0100 }
  sphere { <-0.4900, 0.0990, -0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, 0.0530>, <-0.4900, 0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, -0.0990, 0.0530>, <-0.4900, -0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, -0.0990, -0.0530>, <-0.4900, -0.0990, -0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, -0.0530>, <-0.4900, 0.0990, -0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, -0.0530>, <0.4900, 0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, -0.0990, -0.0530>, <0.4900, -0.0990, 0.0530>, 0.0100 }
  cylinder { <-0.4900, -0.0990, -0.0530>, <-0.4900, -0.0990, 0.0530>, 0.0100 }
  cylinder { <-0.4900, 0.0990, -0.0530>, <-0.4900, 0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, 0.0530>, <0.4900, -0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, -0.0530>, <0.4900, -0.0990, -0.0530>, 0.0100 }
  cylinder { <-0.4900, 0.0990, -0.0530>, <-0.4900, -0.0990, -0.0530>, 0.0100 }
  cylinder { <-0.4900, 0.0990, 0.0530>, <-0.4900, -0.0990, 0.0530>, 0.0100 }
  box { <-0.4900, -0.0990, -0.0630> <0.4900, 0.0990, 0.0630> }
  box { <-0.4900, -0.1090, -0.0530> <0.4900, 0.1090, 0.0530> }
  box { <-0.5000, -0.0990, -0.0530> <0.5000, 0.0990, 0.0530> }
  rotate -0.0*z
  translate  <0.49, 0.099, 0.0>
  rotate 45.0*z
  translate  <-1.6, -1.74, 0.0625>
}
#declare CSG092 = difference {
  box { // Cube341
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, -1.0, 0.0>
    scale <0.08, 0.08, 0.07>
    translate  <-1.6, -1.6, 0.0625>
  }
  object { RndCube042 }
}
#declare CSG093 = difference {
  object { RndCube039 }
  box { // Cube338
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 1.0, 0.0>
    scale <0.03, 0.03, 0.07>
    translate  <-1.7, 1.7, 0.0625>
  }
  box { // Cube339
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 1.0, 0.0>
    scale <0.03, 0.03, 0.07>
    translate  <1.7, 1.7, 0.0625>
  }
  box { // Cube340
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, -1.0, 0.0>
    scale <0.03, 0.03, 0.07>
    translate  <1.7, -1.7, 0.0625>
  }
  object { RndCube040 }
  object { RndCube041 }
  object { CSG092 }
  box { // Cube342
    <-1, -1, -1>, <1, 1, 1>
    scale <0.09375, 0.0625, 0.07>
    translate  <-1.5625, 1.4375, 0.0625>
  }
  box { // Cube343
    <-1, -1, -1>, <1, 1, 1>
    scale <0.09375, 0.0625, 0.07>
    translate  <1.5625, 1.4375, 0.0625>
  }
}
#declare RndDisc027 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0400, 0.0400, 0.1250> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0500, 0.0500, 0.1050> translate 0.0100*z }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.1150*z bounded_by { box { <-0.0502, -0.0502, 0.1048>, <0.0502, 0.0502, 0.1252> } } }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.0100*z bounded_by { box { <-0.0502, -0.0502, -0.0002>, <0.0502, 0.0502, 0.0202> } } }
  translate  <1.7, -1.7, 0.0>
}
#declare RndDisc028 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0400, 0.0400, 0.1250> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0500, 0.0500, 0.1050> translate 0.0100*z }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.1150*z bounded_by { box { <-0.0502, -0.0502, 0.1048>, <0.0502, 0.0502, 0.1252> } } }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.0100*z bounded_by { box { <-0.0502, -0.0502, -0.0002>, <0.0502, 0.0502, 0.0202> } } }
  translate  <1.7, 1.7, 0.0>
}
#declare RndDisc029 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0400, 0.0400, 0.1250> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0500, 0.0500, 0.1050> translate 0.0100*z }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.1150*z bounded_by { box { <-0.0502, -0.0502, 0.1048>, <0.0502, 0.0502, 0.1252> } } }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.0100*z bounded_by { box { <-0.0502, -0.0502, -0.0002>, <0.0502, 0.0502, 0.0202> } } }
  translate  <-1.7, 1.7, 0.0>
}
#declare RndCube043 = merge {
  sphere { <1.4400, 1.7300, 0.0425>, 0.0100 }
  sphere { <1.4400, -1.7300, 0.0425>, 0.0100 }
  sphere { <-1.4400, -1.7300, 0.0425>, 0.0100 }
  sphere { <-1.4400, 1.7300, 0.0425>, 0.0100 }
  sphere { <1.4400, 1.7300, -0.0425>, 0.0100 }
  sphere { <1.4400, -1.7300, -0.0425>, 0.0100 }
  sphere { <-1.4400, -1.7300, -0.0425>, 0.0100 }
  sphere { <-1.4400, 1.7300, -0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, 0.0425>, <-1.4400, 1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, -1.7300, 0.0425>, <-1.4400, -1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, -1.7300, -0.0425>, <-1.4400, -1.7300, -0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, -0.0425>, <-1.4400, 1.7300, -0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, -0.0425>, <1.4400, 1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, -1.7300, -0.0425>, <1.4400, -1.7300, 0.0425>, 0.0100 }
  cylinder { <-1.4400, -1.7300, -0.0425>, <-1.4400, -1.7300, 0.0425>, 0.0100 }
  cylinder { <-1.4400, 1.7300, -0.0425>, <-1.4400, 1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, 0.0425>, <1.4400, -1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, -0.0425>, <1.4400, -1.7300, -0.0425>, 0.0100 }
  cylinder { <-1.4400, 1.7300, -0.0425>, <-1.4400, -1.7300, -0.0425>, 0.0100 }
  cylinder { <-1.4400, 1.7300, 0.0425>, <-1.4400, -1.7300, 0.0425>, 0.0100 }
  box { <-1.4400, -1.7300, -0.0525> <1.4400, 1.7300, 0.0525> }
  box { <-1.4400, -1.7400, -0.0425> <1.4400, 1.7400, 0.0425> }
  box { <-1.4500, -1.7300, -0.0425> <1.4500, 1.7300, 0.0425> }
  translate  0.0625*z
}
#declare CSG094 = union {
  object { CSG093 }
  object { RndDisc027 }
  object { RndDisc028 }
  object { RndDisc029 }
  object { RndCube043 }
}
#declare RndCube044 = merge {
  sphere { <0.7500, 0.6250, 0.3750>, 0.1250 }
  sphere { <0.7500, -0.6250, 0.3750>, 0.1250 }
  sphere { <-0.7500, -0.6250, 0.3750>, 0.1250 }
  sphere { <-0.7500, 0.6250, 0.3750>, 0.1250 }
  sphere { <0.7500, 0.6250, -0.3750>, 0.1250 }
  sphere { <0.7500, -0.6250, -0.3750>, 0.1250 }
  sphere { <-0.7500, -0.6250, -0.3750>, 0.1250 }
  sphere { <-0.7500, 0.6250, -0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, 0.3750>, <-0.7500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, -0.6250, 0.3750>, <-0.7500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, -0.6250, -0.3750>, <-0.7500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, -0.3750>, <-0.7500, 0.6250, -0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, -0.3750>, <0.7500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, -0.6250, -0.3750>, <0.7500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <-0.7500, -0.6250, -0.3750>, <-0.7500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <-0.7500, 0.6250, -0.3750>, <-0.7500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, 0.3750>, <0.7500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, -0.3750>, <0.7500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <-0.7500, 0.6250, -0.3750>, <-0.7500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <-0.7500, 0.6250, 0.3750>, <-0.7500, -0.6250, 0.3750>, 0.1250 }
  box { <-0.7500, -0.6250, -0.5000> <0.7500, 0.6250, 0.5000> }
  box { <-0.7500, -0.7500, -0.3750> <0.7500, 0.7500, 0.3750> }
  box { <-0.8750, -0.6250, -0.3750> <0.8750, 0.6250, 0.3750> }
  translate  -0.75*y
  translate  <0.0, -0.5, 0.0625>
}
#declare CSG095 = intersection {
  box { // Cube344
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 0.625, 0.0625>
    translate  <0.0, -1.125, 0.0625>
  }
  object { RndCube044 }
}
#declare DiskFlap = difference {
  object { CSG095 }
  box { // Cube345
    <-1, -1, -1>, <1, 1, 1>
    scale <0.25, 0.5, 0.07>
    translate  <-0.375, -1.125, 0.0625>
  }
  material {
    Brushed_Aluminum
  }
}
#declare Disk = union {
  object { CSG094 }
  object { DiskFlap }
  box { // DiskSticker
    <-1, -1, -1>, <1, 1, 1>
    material {
      DiskLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <1.3, 0.9, 0.00001>
    translate  <0.0, 0.75, 0.115>
  }
}
#declare RndCube033 = merge {
  sphere { <1.7400, 1.7400, 0.0525>, 0.0100 }
  sphere { <1.7400, -1.7400, 0.0525>, 0.0100 }
  sphere { <-1.7400, -1.7400, 0.0525>, 0.0100 }
  sphere { <-1.7400, 1.7400, 0.0525>, 0.0100 }
  sphere { <1.7400, 1.7400, -0.0525>, 0.0100 }
  sphere { <1.7400, -1.7400, -0.0525>, 0.0100 }
  sphere { <-1.7400, -1.7400, -0.0525>, 0.0100 }
  sphere { <-1.7400, 1.7400, -0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, 0.0525>, <-1.7400, 1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, -1.7400, 0.0525>, <-1.7400, -1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, -1.7400, -0.0525>, <-1.7400, -1.7400, -0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, -0.0525>, <-1.7400, 1.7400, -0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, -0.0525>, <1.7400, 1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, -1.7400, -0.0525>, <1.7400, -1.7400, 0.0525>, 0.0100 }
  cylinder { <-1.7400, -1.7400, -0.0525>, <-1.7400, -1.7400, 0.0525>, 0.0100 }
  cylinder { <-1.7400, 1.7400, -0.0525>, <-1.7400, 1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, 0.0525>, <1.7400, -1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, -0.0525>, <1.7400, -1.7400, -0.0525>, 0.0100 }
  cylinder { <-1.7400, 1.7400, -0.0525>, <-1.7400, -1.7400, -0.0525>, 0.0100 }
  cylinder { <-1.7400, 1.7400, 0.0525>, <-1.7400, -1.7400, 0.0525>, 0.0100 }
  box { <-1.7400, -1.7400, -0.0625> <1.7400, 1.7400, 0.0625> }
  box { <-1.7400, -1.7500, -0.0525> <1.7400, 1.7500, 0.0525> }
  box { <-1.7500, -1.7400, -0.0525> <1.7500, 1.7400, 0.0525> }
  translate  0.0625*z
}
#declare RndCube034 = merge {
  sphere { <1.2500, 0.6250, 0.3750>, 0.1250 }
  sphere { <1.2500, -0.6250, 0.3750>, 0.1250 }
  sphere { <-1.2500, -0.6250, 0.3750>, 0.1250 }
  sphere { <-1.2500, 0.6250, 0.3750>, 0.1250 }
  sphere { <1.2500, 0.6250, -0.3750>, 0.1250 }
  sphere { <1.2500, -0.6250, -0.3750>, 0.1250 }
  sphere { <-1.2500, -0.6250, -0.3750>, 0.1250 }
  sphere { <-1.2500, 0.6250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, 0.3750>, <-1.2500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -0.6250, 0.3750>, <-1.2500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -0.6250, -0.3750>, <-1.2500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, -0.3750>, <-1.2500, 0.6250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, -0.3750>, <1.2500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -0.6250, -0.3750>, <1.2500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <-1.2500, -0.6250, -0.3750>, <-1.2500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <-1.2500, 0.6250, -0.3750>, <-1.2500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, 0.3750>, <1.2500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, -0.3750>, <1.2500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <-1.2500, 0.6250, -0.3750>, <-1.2500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <-1.2500, 0.6250, 0.3750>, <-1.2500, -0.6250, 0.3750>, 0.1250 }
  box { <-1.2500, -0.6250, -0.5000> <1.2500, 0.6250, 0.5000> }
  box { <-1.2500, -0.7500, -0.3750> <1.2500, 0.7500, 0.3750> }
  box { <-1.3750, -0.6250, -0.3750> <1.3750, 0.6250, 0.3750> }
  translate  -0.75*y
  translate  <0.0, -0.5, 0.0625>
}
#declare RndCube035 = merge {
  sphere { <1.2500, 1.1250, 0.3750>, 0.1250 }
  sphere { <1.2500, -1.1250, 0.3750>, 0.1250 }
  sphere { <-1.2500, -1.1250, 0.3750>, 0.1250 }
  sphere { <-1.2500, 1.1250, 0.3750>, 0.1250 }
  sphere { <1.2500, 1.1250, -0.3750>, 0.1250 }
  sphere { <1.2500, -1.1250, -0.3750>, 0.1250 }
  sphere { <-1.2500, -1.1250, -0.3750>, 0.1250 }
  sphere { <-1.2500, 1.1250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, 0.3750>, <-1.2500, 1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -1.1250, 0.3750>, <-1.2500, -1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -1.1250, -0.3750>, <-1.2500, -1.1250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, -0.3750>, <-1.2500, 1.1250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, -0.3750>, <1.2500, 1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -1.1250, -0.3750>, <1.2500, -1.1250, 0.3750>, 0.1250 }
  cylinder { <-1.2500, -1.1250, -0.3750>, <-1.2500, -1.1250, 0.3750>, 0.1250 }
  cylinder { <-1.2500, 1.1250, -0.3750>, <-1.2500, 1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, 0.3750>, <1.2500, -1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, -0.3750>, <1.2500, -1.1250, -0.3750>, 0.1250 }
  cylinder { <-1.2500, 1.1250, -0.3750>, <-1.2500, -1.1250, -0.3750>, 0.1250 }
  cylinder { <-1.2500, 1.1250, 0.3750>, <-1.2500, -1.1250, 0.3750>, 0.1250 }
  box { <-1.2500, -1.1250, -0.5000> <1.2500, 1.1250, 0.5000> }
  box { <-1.2500, -1.2500, -0.3750> <1.2500, 1.2500, 0.3750> }
  box { <-1.3750, -1.1250, -0.3750> <1.3750, 1.1250, 0.3750> }
  translate  1.25*y
  translate  <0.0, -0.25, 0.0625>
}
#declare RndCube036 = merge {
  sphere { <0.4900, 0.0990, 0.0530>, 0.0100 }
  sphere { <0.4900, -0.0990, 0.0530>, 0.0100 }
  sphere { <-0.4900, -0.0990, 0.0530>, 0.0100 }
  sphere { <-0.4900, 0.0990, 0.0530>, 0.0100 }
  sphere { <0.4900, 0.0990, -0.0530>, 0.0100 }
  sphere { <0.4900, -0.0990, -0.0530>, 0.0100 }
  sphere { <-0.4900, -0.0990, -0.0530>, 0.0100 }
  sphere { <-0.4900, 0.0990, -0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, 0.0530>, <-0.4900, 0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, -0.0990, 0.0530>, <-0.4900, -0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, -0.0990, -0.0530>, <-0.4900, -0.0990, -0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, -0.0530>, <-0.4900, 0.0990, -0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, -0.0530>, <0.4900, 0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, -0.0990, -0.0530>, <0.4900, -0.0990, 0.0530>, 0.0100 }
  cylinder { <-0.4900, -0.0990, -0.0530>, <-0.4900, -0.0990, 0.0530>, 0.0100 }
  cylinder { <-0.4900, 0.0990, -0.0530>, <-0.4900, 0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, 0.0530>, <0.4900, -0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, -0.0530>, <0.4900, -0.0990, -0.0530>, 0.0100 }
  cylinder { <-0.4900, 0.0990, -0.0530>, <-0.4900, -0.0990, -0.0530>, 0.0100 }
  cylinder { <-0.4900, 0.0990, 0.0530>, <-0.4900, -0.0990, 0.0530>, 0.0100 }
  box { <-0.4900, -0.0990, -0.0630> <0.4900, 0.0990, 0.0630> }
  box { <-0.4900, -0.1090, -0.0530> <0.4900, 0.1090, 0.0530> }
  box { <-0.5000, -0.0990, -0.0530> <0.5000, 0.0990, 0.0530> }
  rotate -0.0*z
  translate  <0.49, 0.099, 0.0>
  rotate 45.0*z
  translate  <-1.6, -1.74, 0.0625>
}
#declare CSG088 = difference {
  box { // Cube333
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, -1.0, 0.0>
    scale <0.08, 0.08, 0.07>
    translate  <-1.6, -1.6, 0.0625>
  }
  object { RndCube036 }
}
#declare CSG089 = difference {
  object { RndCube033 }
  box { // Cube330
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 1.0, 0.0>
    scale <0.03, 0.03, 0.07>
    translate  <-1.7, 1.7, 0.0625>
  }
  box { // Cube331
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 1.0, 0.0>
    scale <0.03, 0.03, 0.07>
    translate  <1.7, 1.7, 0.0625>
  }
  box { // Cube332
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, -1.0, 0.0>
    scale <0.03, 0.03, 0.07>
    translate  <1.7, -1.7, 0.0625>
  }
  object { RndCube034 }
  object { RndCube035 }
  object { CSG088 }
  box { // Cube334
    <-1, -1, -1>, <1, 1, 1>
    scale <0.09375, 0.0625, 0.07>
    translate  <-1.5625, 1.4375, 0.0625>
  }
  box { // Cube335
    <-1, -1, -1>, <1, 1, 1>
    scale <0.09375, 0.0625, 0.07>
    translate  <1.5625, 1.4375, 0.0625>
  }
}
#declare RndDisc024 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0400, 0.0400, 0.1250> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0500, 0.0500, 0.1050> translate 0.0100*z }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.1150*z bounded_by { box { <-0.0502, -0.0502, 0.1048>, <0.0502, 0.0502, 0.1252> } } }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.0100*z bounded_by { box { <-0.0502, -0.0502, -0.0002>, <0.0502, 0.0502, 0.0202> } } }
  translate  <1.7, -1.7, 0.0>
}
#declare RndDisc025 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0400, 0.0400, 0.1250> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0500, 0.0500, 0.1050> translate 0.0100*z }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.1150*z bounded_by { box { <-0.0502, -0.0502, 0.1048>, <0.0502, 0.0502, 0.1252> } } }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.0100*z bounded_by { box { <-0.0502, -0.0502, -0.0002>, <0.0502, 0.0502, 0.0202> } } }
  translate  <1.7, 1.7, 0.0>
}
#declare RndDisc026 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0400, 0.0400, 0.1250> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0500, 0.0500, 0.1050> translate 0.0100*z }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.1150*z bounded_by { box { <-0.0502, -0.0502, 0.1048>, <0.0502, 0.0502, 0.1252> } } }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.0100*z bounded_by { box { <-0.0502, -0.0502, -0.0002>, <0.0502, 0.0502, 0.0202> } } }
  translate  <-1.7, 1.7, 0.0>
}
#declare RndCube037 = merge {
  sphere { <1.4400, 1.7300, 0.0425>, 0.0100 }
  sphere { <1.4400, -1.7300, 0.0425>, 0.0100 }
  sphere { <-1.4400, -1.7300, 0.0425>, 0.0100 }
  sphere { <-1.4400, 1.7300, 0.0425>, 0.0100 }
  sphere { <1.4400, 1.7300, -0.0425>, 0.0100 }
  sphere { <1.4400, -1.7300, -0.0425>, 0.0100 }
  sphere { <-1.4400, -1.7300, -0.0425>, 0.0100 }
  sphere { <-1.4400, 1.7300, -0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, 0.0425>, <-1.4400, 1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, -1.7300, 0.0425>, <-1.4400, -1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, -1.7300, -0.0425>, <-1.4400, -1.7300, -0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, -0.0425>, <-1.4400, 1.7300, -0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, -0.0425>, <1.4400, 1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, -1.7300, -0.0425>, <1.4400, -1.7300, 0.0425>, 0.0100 }
  cylinder { <-1.4400, -1.7300, -0.0425>, <-1.4400, -1.7300, 0.0425>, 0.0100 }
  cylinder { <-1.4400, 1.7300, -0.0425>, <-1.4400, 1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, 0.0425>, <1.4400, -1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, -0.0425>, <1.4400, -1.7300, -0.0425>, 0.0100 }
  cylinder { <-1.4400, 1.7300, -0.0425>, <-1.4400, -1.7300, -0.0425>, 0.0100 }
  cylinder { <-1.4400, 1.7300, 0.0425>, <-1.4400, -1.7300, 0.0425>, 0.0100 }
  box { <-1.4400, -1.7300, -0.0525> <1.4400, 1.7300, 0.0525> }
  box { <-1.4400, -1.7400, -0.0425> <1.4400, 1.7400, 0.0425> }
  box { <-1.4500, -1.7300, -0.0425> <1.4500, 1.7300, 0.0425> }
  translate  0.0625*z
}
#declare CSG090 = union {
  object { CSG089 }
  object { RndDisc024 }
  object { RndDisc025 }
  object { RndDisc026 }
  object { RndCube037 }
}
#declare RndCube038 = merge {
  sphere { <0.7500, 0.6250, 0.3750>, 0.1250 }
  sphere { <0.7500, -0.6250, 0.3750>, 0.1250 }
  sphere { <-0.7500, -0.6250, 0.3750>, 0.1250 }
  sphere { <-0.7500, 0.6250, 0.3750>, 0.1250 }
  sphere { <0.7500, 0.6250, -0.3750>, 0.1250 }
  sphere { <0.7500, -0.6250, -0.3750>, 0.1250 }
  sphere { <-0.7500, -0.6250, -0.3750>, 0.1250 }
  sphere { <-0.7500, 0.6250, -0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, 0.3750>, <-0.7500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, -0.6250, 0.3750>, <-0.7500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, -0.6250, -0.3750>, <-0.7500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, -0.3750>, <-0.7500, 0.6250, -0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, -0.3750>, <0.7500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, -0.6250, -0.3750>, <0.7500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <-0.7500, -0.6250, -0.3750>, <-0.7500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <-0.7500, 0.6250, -0.3750>, <-0.7500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, 0.3750>, <0.7500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, -0.3750>, <0.7500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <-0.7500, 0.6250, -0.3750>, <-0.7500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <-0.7500, 0.6250, 0.3750>, <-0.7500, -0.6250, 0.3750>, 0.1250 }
  box { <-0.7500, -0.6250, -0.5000> <0.7500, 0.6250, 0.5000> }
  box { <-0.7500, -0.7500, -0.3750> <0.7500, 0.7500, 0.3750> }
  box { <-0.8750, -0.6250, -0.3750> <0.8750, 0.6250, 0.3750> }
  translate  -0.75*y
  translate  <0.0, -0.5, 0.0625>
}
#declare CSG091 = intersection {
  box { // Cube336
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 0.625, 0.0625>
    translate  <0.0, -1.125, 0.0625>
  }
  object { RndCube038 }
}
#declare DiskFlap1 = difference {
  object { CSG091 }
  box { // Cube337
    <-1, -1, -1>, <1, 1, 1>
    scale <0.25, 0.5, 0.07>
    translate  <-0.375, -1.125, 0.0625>
  }
  material {
    Brushed_Aluminum
  }
}
#declare Disk1 = union {
  object { CSG090 }
  object { DiskFlap1 }
  box { // DiskSticker1
    <-1, -1, -1>, <1, 1, 1>
    material {
      DiskLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <1.3, 0.9, 0.00001>
    translate  <0.0, 0.75, 0.115>
  }
  rotate 1.0*z
  translate  <0.0, -0.05, 0.125>
}
#declare RndCube027 = merge {
  sphere { <1.7400, 1.7400, 0.0525>, 0.0100 }
  sphere { <1.7400, -1.7400, 0.0525>, 0.0100 }
  sphere { <-1.7400, -1.7400, 0.0525>, 0.0100 }
  sphere { <-1.7400, 1.7400, 0.0525>, 0.0100 }
  sphere { <1.7400, 1.7400, -0.0525>, 0.0100 }
  sphere { <1.7400, -1.7400, -0.0525>, 0.0100 }
  sphere { <-1.7400, -1.7400, -0.0525>, 0.0100 }
  sphere { <-1.7400, 1.7400, -0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, 0.0525>, <-1.7400, 1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, -1.7400, 0.0525>, <-1.7400, -1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, -1.7400, -0.0525>, <-1.7400, -1.7400, -0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, -0.0525>, <-1.7400, 1.7400, -0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, -0.0525>, <1.7400, 1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, -1.7400, -0.0525>, <1.7400, -1.7400, 0.0525>, 0.0100 }
  cylinder { <-1.7400, -1.7400, -0.0525>, <-1.7400, -1.7400, 0.0525>, 0.0100 }
  cylinder { <-1.7400, 1.7400, -0.0525>, <-1.7400, 1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, 0.0525>, <1.7400, -1.7400, 0.0525>, 0.0100 }
  cylinder { <1.7400, 1.7400, -0.0525>, <1.7400, -1.7400, -0.0525>, 0.0100 }
  cylinder { <-1.7400, 1.7400, -0.0525>, <-1.7400, -1.7400, -0.0525>, 0.0100 }
  cylinder { <-1.7400, 1.7400, 0.0525>, <-1.7400, -1.7400, 0.0525>, 0.0100 }
  box { <-1.7400, -1.7400, -0.0625> <1.7400, 1.7400, 0.0625> }
  box { <-1.7400, -1.7500, -0.0525> <1.7400, 1.7500, 0.0525> }
  box { <-1.7500, -1.7400, -0.0525> <1.7500, 1.7400, 0.0525> }
  translate  0.0625*z
}
#declare RndCube028 = merge {
  sphere { <1.2500, 0.6250, 0.3750>, 0.1250 }
  sphere { <1.2500, -0.6250, 0.3750>, 0.1250 }
  sphere { <-1.2500, -0.6250, 0.3750>, 0.1250 }
  sphere { <-1.2500, 0.6250, 0.3750>, 0.1250 }
  sphere { <1.2500, 0.6250, -0.3750>, 0.1250 }
  sphere { <1.2500, -0.6250, -0.3750>, 0.1250 }
  sphere { <-1.2500, -0.6250, -0.3750>, 0.1250 }
  sphere { <-1.2500, 0.6250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, 0.3750>, <-1.2500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -0.6250, 0.3750>, <-1.2500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -0.6250, -0.3750>, <-1.2500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, -0.3750>, <-1.2500, 0.6250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, -0.3750>, <1.2500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -0.6250, -0.3750>, <1.2500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <-1.2500, -0.6250, -0.3750>, <-1.2500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <-1.2500, 0.6250, -0.3750>, <-1.2500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, 0.3750>, <1.2500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <1.2500, 0.6250, -0.3750>, <1.2500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <-1.2500, 0.6250, -0.3750>, <-1.2500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <-1.2500, 0.6250, 0.3750>, <-1.2500, -0.6250, 0.3750>, 0.1250 }
  box { <-1.2500, -0.6250, -0.5000> <1.2500, 0.6250, 0.5000> }
  box { <-1.2500, -0.7500, -0.3750> <1.2500, 0.7500, 0.3750> }
  box { <-1.3750, -0.6250, -0.3750> <1.3750, 0.6250, 0.3750> }
  translate  -0.75*y
  translate  <0.0, -0.5, 0.0625>
}
#declare RndCube029 = merge {
  sphere { <1.2500, 1.1250, 0.3750>, 0.1250 }
  sphere { <1.2500, -1.1250, 0.3750>, 0.1250 }
  sphere { <-1.2500, -1.1250, 0.3750>, 0.1250 }
  sphere { <-1.2500, 1.1250, 0.3750>, 0.1250 }
  sphere { <1.2500, 1.1250, -0.3750>, 0.1250 }
  sphere { <1.2500, -1.1250, -0.3750>, 0.1250 }
  sphere { <-1.2500, -1.1250, -0.3750>, 0.1250 }
  sphere { <-1.2500, 1.1250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, 0.3750>, <-1.2500, 1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -1.1250, 0.3750>, <-1.2500, -1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -1.1250, -0.3750>, <-1.2500, -1.1250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, -0.3750>, <-1.2500, 1.1250, -0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, -0.3750>, <1.2500, 1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, -1.1250, -0.3750>, <1.2500, -1.1250, 0.3750>, 0.1250 }
  cylinder { <-1.2500, -1.1250, -0.3750>, <-1.2500, -1.1250, 0.3750>, 0.1250 }
  cylinder { <-1.2500, 1.1250, -0.3750>, <-1.2500, 1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, 0.3750>, <1.2500, -1.1250, 0.3750>, 0.1250 }
  cylinder { <1.2500, 1.1250, -0.3750>, <1.2500, -1.1250, -0.3750>, 0.1250 }
  cylinder { <-1.2500, 1.1250, -0.3750>, <-1.2500, -1.1250, -0.3750>, 0.1250 }
  cylinder { <-1.2500, 1.1250, 0.3750>, <-1.2500, -1.1250, 0.3750>, 0.1250 }
  box { <-1.2500, -1.1250, -0.5000> <1.2500, 1.1250, 0.5000> }
  box { <-1.2500, -1.2500, -0.3750> <1.2500, 1.2500, 0.3750> }
  box { <-1.3750, -1.1250, -0.3750> <1.3750, 1.1250, 0.3750> }
  translate  1.25*y
  translate  <0.0, -0.25, 0.0625>
}
#declare RndCube030 = merge {
  sphere { <0.4900, 0.0990, 0.0530>, 0.0100 }
  sphere { <0.4900, -0.0990, 0.0530>, 0.0100 }
  sphere { <-0.4900, -0.0990, 0.0530>, 0.0100 }
  sphere { <-0.4900, 0.0990, 0.0530>, 0.0100 }
  sphere { <0.4900, 0.0990, -0.0530>, 0.0100 }
  sphere { <0.4900, -0.0990, -0.0530>, 0.0100 }
  sphere { <-0.4900, -0.0990, -0.0530>, 0.0100 }
  sphere { <-0.4900, 0.0990, -0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, 0.0530>, <-0.4900, 0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, -0.0990, 0.0530>, <-0.4900, -0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, -0.0990, -0.0530>, <-0.4900, -0.0990, -0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, -0.0530>, <-0.4900, 0.0990, -0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, -0.0530>, <0.4900, 0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, -0.0990, -0.0530>, <0.4900, -0.0990, 0.0530>, 0.0100 }
  cylinder { <-0.4900, -0.0990, -0.0530>, <-0.4900, -0.0990, 0.0530>, 0.0100 }
  cylinder { <-0.4900, 0.0990, -0.0530>, <-0.4900, 0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, 0.0530>, <0.4900, -0.0990, 0.0530>, 0.0100 }
  cylinder { <0.4900, 0.0990, -0.0530>, <0.4900, -0.0990, -0.0530>, 0.0100 }
  cylinder { <-0.4900, 0.0990, -0.0530>, <-0.4900, -0.0990, -0.0530>, 0.0100 }
  cylinder { <-0.4900, 0.0990, 0.0530>, <-0.4900, -0.0990, 0.0530>, 0.0100 }
  box { <-0.4900, -0.0990, -0.0630> <0.4900, 0.0990, 0.0630> }
  box { <-0.4900, -0.1090, -0.0530> <0.4900, 0.1090, 0.0530> }
  box { <-0.5000, -0.0990, -0.0530> <0.5000, 0.0990, 0.0530> }
  rotate -0.0*z
  translate  <0.49, 0.099, 0.0>
  rotate 45.0*z
  translate  <-1.6, -1.74, 0.0625>
}
#declare CSG084 = difference {
  box { // Cube325
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, -1.0, 0.0>
    scale <0.08, 0.08, 0.07>
    translate  <-1.6, -1.6, 0.0625>
  }
  object { RndCube030 }
}
#declare CSG085 = difference {
  object { RndCube027 }
  box { // Cube322
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 1.0, 0.0>
    scale <0.03, 0.03, 0.07>
    translate  <-1.7, 1.7, 0.0625>
  }
  box { // Cube323
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 1.0, 0.0>
    scale <0.03, 0.03, 0.07>
    translate  <1.7, 1.7, 0.0625>
  }
  box { // Cube324
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, -1.0, 0.0>
    scale <0.03, 0.03, 0.07>
    translate  <1.7, -1.7, 0.0625>
  }
  object { RndCube028 }
  object { RndCube029 }
  object { CSG084 }
  box { // Cube326
    <-1, -1, -1>, <1, 1, 1>
    scale <0.09375, 0.0625, 0.07>
    translate  <-1.5625, 1.4375, 0.0625>
  }
  box { // Cube327
    <-1, -1, -1>, <1, 1, 1>
    scale <0.09375, 0.0625, 0.07>
    translate  <1.5625, 1.4375, 0.0625>
  }
}
#declare RndDisc021 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0400, 0.0400, 0.1250> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0500, 0.0500, 0.1050> translate 0.0100*z }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.1150*z bounded_by { box { <-0.0502, -0.0502, 0.1048>, <0.0502, 0.0502, 0.1252> } } }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.0100*z bounded_by { box { <-0.0502, -0.0502, -0.0002>, <0.0502, 0.0502, 0.0202> } } }
  translate  <1.7, -1.7, 0.0>
}
#declare RndDisc022 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0400, 0.0400, 0.1250> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0500, 0.0500, 0.1050> translate 0.0100*z }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.1150*z bounded_by { box { <-0.0502, -0.0502, 0.1048>, <0.0502, 0.0502, 0.1252> } } }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.0100*z bounded_by { box { <-0.0502, -0.0502, -0.0002>, <0.0502, 0.0502, 0.0202> } } }
  translate  <1.7, 1.7, 0.0>
}
#declare RndDisc023 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0400, 0.0400, 0.1250> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0500, 0.0500, 0.1050> translate 0.0100*z }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.1150*z bounded_by { box { <-0.0502, -0.0502, 0.1048>, <0.0502, 0.0502, 0.1252> } } }
  torus { 0.0400, 0.0100  rotate -x*90 translate  0.0100*z bounded_by { box { <-0.0502, -0.0502, -0.0002>, <0.0502, 0.0502, 0.0202> } } }
  translate  <-1.7, 1.7, 0.0>
}
#declare RndCube031 = merge {
  sphere { <1.4400, 1.7300, 0.0425>, 0.0100 }
  sphere { <1.4400, -1.7300, 0.0425>, 0.0100 }
  sphere { <-1.4400, -1.7300, 0.0425>, 0.0100 }
  sphere { <-1.4400, 1.7300, 0.0425>, 0.0100 }
  sphere { <1.4400, 1.7300, -0.0425>, 0.0100 }
  sphere { <1.4400, -1.7300, -0.0425>, 0.0100 }
  sphere { <-1.4400, -1.7300, -0.0425>, 0.0100 }
  sphere { <-1.4400, 1.7300, -0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, 0.0425>, <-1.4400, 1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, -1.7300, 0.0425>, <-1.4400, -1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, -1.7300, -0.0425>, <-1.4400, -1.7300, -0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, -0.0425>, <-1.4400, 1.7300, -0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, -0.0425>, <1.4400, 1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, -1.7300, -0.0425>, <1.4400, -1.7300, 0.0425>, 0.0100 }
  cylinder { <-1.4400, -1.7300, -0.0425>, <-1.4400, -1.7300, 0.0425>, 0.0100 }
  cylinder { <-1.4400, 1.7300, -0.0425>, <-1.4400, 1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, 0.0425>, <1.4400, -1.7300, 0.0425>, 0.0100 }
  cylinder { <1.4400, 1.7300, -0.0425>, <1.4400, -1.7300, -0.0425>, 0.0100 }
  cylinder { <-1.4400, 1.7300, -0.0425>, <-1.4400, -1.7300, -0.0425>, 0.0100 }
  cylinder { <-1.4400, 1.7300, 0.0425>, <-1.4400, -1.7300, 0.0425>, 0.0100 }
  box { <-1.4400, -1.7300, -0.0525> <1.4400, 1.7300, 0.0525> }
  box { <-1.4400, -1.7400, -0.0425> <1.4400, 1.7400, 0.0425> }
  box { <-1.4500, -1.7300, -0.0425> <1.4500, 1.7300, 0.0425> }
  translate  0.0625*z
}
#declare CSG086 = union {
  object { CSG085 }
  object { RndDisc021 }
  object { RndDisc022 }
  object { RndDisc023 }
  object { RndCube031 }
}
#declare RndCube032 = merge {
  sphere { <0.7500, 0.6250, 0.3750>, 0.1250 }
  sphere { <0.7500, -0.6250, 0.3750>, 0.1250 }
  sphere { <-0.7500, -0.6250, 0.3750>, 0.1250 }
  sphere { <-0.7500, 0.6250, 0.3750>, 0.1250 }
  sphere { <0.7500, 0.6250, -0.3750>, 0.1250 }
  sphere { <0.7500, -0.6250, -0.3750>, 0.1250 }
  sphere { <-0.7500, -0.6250, -0.3750>, 0.1250 }
  sphere { <-0.7500, 0.6250, -0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, 0.3750>, <-0.7500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, -0.6250, 0.3750>, <-0.7500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, -0.6250, -0.3750>, <-0.7500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, -0.3750>, <-0.7500, 0.6250, -0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, -0.3750>, <0.7500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, -0.6250, -0.3750>, <0.7500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <-0.7500, -0.6250, -0.3750>, <-0.7500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <-0.7500, 0.6250, -0.3750>, <-0.7500, 0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, 0.3750>, <0.7500, -0.6250, 0.3750>, 0.1250 }
  cylinder { <0.7500, 0.6250, -0.3750>, <0.7500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <-0.7500, 0.6250, -0.3750>, <-0.7500, -0.6250, -0.3750>, 0.1250 }
  cylinder { <-0.7500, 0.6250, 0.3750>, <-0.7500, -0.6250, 0.3750>, 0.1250 }
  box { <-0.7500, -0.6250, -0.5000> <0.7500, 0.6250, 0.5000> }
  box { <-0.7500, -0.7500, -0.3750> <0.7500, 0.7500, 0.3750> }
  box { <-0.8750, -0.6250, -0.3750> <0.8750, 0.6250, 0.3750> }
  translate  -0.75*y
  translate  <0.0, -0.5, 0.0625>
}
#declare CSG087 = intersection {
  box { // Cube328
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 0.625, 0.0625>
    translate  <0.0, -1.125, 0.0625>
  }
  object { RndCube032 }
}
#declare DiskFlap2 = difference {
  object { CSG087 }
  box { // Cube329
    <-1, -1, -1>, <1, 1, 1>
    scale <0.25, 0.5, 0.07>
    translate  <-0.375, -1.125, 0.0625>
  }
  material {
    Brushed_Aluminum
  }
}
#declare Disk2 = union {
  object { CSG086 }
  object { DiskFlap2 }
  box { // DiskSticker2
    <-1, -1, -1>, <1, 1, 1>
    material {
      DiskLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <1.3, 0.9, 0.00001>
    translate  <0.0, 0.75, 0.115>
  }
  rotate -2.5*z
  translate  <0.0, -0.15, 0.25>
}
union { // Disks
  object { Disk }
  object { Disk1 }
  object { Disk2 }
  material {
    DiskPlastic
  }
  rotate -90.0*z
  translate  <-2.0, -14.625, 36.75>
}


#declare CSG040 = intersection {
  cylinder { // Cylndr032
    <0,0,1>, <0,0,0>, 1 
    scale <0.125, 0.25, 12.5>
  }
  box { // Cube256
    <-1, -1, -1>, <1, 1, 1>
    scale <0.07, 0.13, 6.3>
    translate  <-0.07, -0.13, 6.25>
  }
}
#declare CSG041 = union {
  object { CSG040 }
  box { // Cube257
    <-1, -1, -1>, <1, 1, 1>
    scale <0.0625, 0.125, 6.25>
    translate  <-0.0625, 0.125, 6.25>
  }
  translate  2.625*x
}
#declare Group003 = union {
  object { CSG041 }
  object { CSG042 }
  object { // CSG043 -> CSG042
    CSG042
    translate  0.625*z
  }
  object { // CSG044 -> CSG042
    CSG042
    translate  1.25*z
  }
  object { // CSG045 -> CSG042
    CSG042
    translate  1.875*z
  }
  object { // CSG046 -> CSG042
    CSG042
    translate  2.5*z
  }
  object { // CSG047 -> CSG042
    CSG042
    translate  3.125*z
  }
  object { // CSG048 -> CSG042
    CSG042
    translate  3.75*z
  }
  object { // CSG049 -> CSG042
    CSG042
    translate  4.375*z
  }
  object { // CSG050 -> CSG042
    CSG042
    translate  5.0*z
  }
  object { // CSG051 -> CSG042
    CSG042
    translate  5.625*z
  }
  object { // CSG052 -> CSG042
    CSG042
    translate  6.25*z
  }
  object { // CSG053 -> CSG042
    CSG042
    translate  6.875*z
  }
  object { // CSG054 -> CSG042
    CSG042
    translate  7.5*z
  }
  object { // CSG055 -> CSG042
    CSG042
    translate  8.125*z
  }
  object { // CSG056 -> CSG042
    CSG042
    translate  8.75*z
  }
  object { // CSG057 -> CSG042
    CSG042
    translate  9.375*z
  }
  object { // CSG058 -> CSG042
    CSG042
    translate  10.0*z
  }
  object { // CSG059 -> CSG042
    CSG042
    translate  10.625*z
  }
  object { // CSG060 -> CSG042
    CSG042
    translate  11.25*z
  }
  object { // CSG061 -> CSG042
    CSG042
    translate  11.875*z
  }
  material {
    DarkerPlastic
  }
}
#declare CSG062 = intersection {
  cylinder { // Cylndr033
    <0,0,1>, <0,0,0>, 1 
    scale <0.125, 0.25, 12.5>
  }
  box { // Cube259
    <-1, -1, -1>, <1, 1, 1>
    scale <0.07, 0.13, 6.3>
    translate  <0.07, -0.13, 6.25>
  }
}
#declare CSG063 = union {
  object { CSG062 }
  box { // Cube260
    <-1, -1, -1>, <1, 1, 1>
    scale <0.0625, 0.125, 6.25>
    translate  <0.0625, 0.125, 6.25>
  }
  translate  -2.625*x
}
#declare Group004 = union {
  object { CSG063 }
  object { CSG064 }
  object { // CSG065 -> CSG064
    CSG064
    translate  0.625*z
  }
  object { // CSG066 -> CSG064
    CSG064
    translate  1.25*z
  }
  object { // CSG067 -> CSG064
    CSG064
    translate  1.875*z
  }
  object { // CSG068 -> CSG064
    CSG064
    translate  2.5*z
  }
  object { // CSG069 -> CSG064
    CSG064
    translate  3.125*z
  }
  object { // CSG070 -> CSG064
    CSG064
    translate  3.75*z
  }
  object { // CSG071 -> CSG064
    CSG064
    translate  4.375*z
  }
  object { // CSG072 -> CSG064
    CSG064
    translate  5.0*z
  }
  object { // CSG073 -> CSG064
    CSG064
    translate  5.625*z
  }
  object { // CSG074 -> CSG064
    CSG064
    translate  6.25*z
  }
  object { // CSG075 -> CSG064
    CSG064
    translate  6.875*z
  }
  object { // CSG076 -> CSG064
    CSG064
    translate  7.5*z
  }
  object { // CSG077 -> CSG064
    CSG064
    translate  8.125*z
  }
  object { // CSG078 -> CSG064
    CSG064
    translate  8.75*z
  }
  object { // CSG079 -> CSG064
    CSG064
    translate  9.375*z
  }
  object { // CSG080 -> CSG064
    CSG064
    translate  10.0*z
  }
  object { // CSG081 -> CSG064
    CSG064
    translate  10.625*z
  }
  object { // CSG082 -> CSG064
    CSG064
    translate  11.25*z
  }
  object { // CSG083 -> CSG064
    CSG064
    translate  11.875*z
  }
}
#declare CDRack = union {
  object { Group003 }
  object { Group004 }
  material {
    DarkerPlastic
  }
}
#declare CDCaseBody = difference {
  box { // Cube262
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube263
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube264
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseCranberries = union {
  box { // CDCaseLip
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide
    <-1, -1, -1>, <1, 1, 1>
    material {
      CranberriesSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody }
  rotate 90.0*z
  translate  <0.0, 2.805, 12.025>
}
#declare CDCaseBody1 = difference {
  box { // Cube265
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube266
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube267
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseBadReligion = union {
  box { // CDCaseLip1
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover1
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide1
    <-1, -1, -1>, <1, 1, 1>
    material {
      BadReligionSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody1 }
  rotate 90.0*z
  translate  <0.0, 2.805, 11.4>
}
#declare CDCaseBody2 = difference {
  box { // Cube268
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube269
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube270
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseReelBigFish = union {
  box { // CDCaseLip2
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover2
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide2
    <-1, -1, -1>, <1, 1, 1>
    material {
      ReelBigFishSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody2 }
  rotate 90.0*z
  translate  <0.0, 2.805, 10.775>
}
#declare CDCaseBody3 = difference {
  box { // Cube271
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube272
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube273
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseMallrats = union {
  box { // CDCaseLip3
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover3
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide3
    <-1, -1, -1>, <1, 1, 1>
    material {
      MallratsSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody3 }
  rotate 90.0*z
  translate  <0.0, 2.805, 10.15>
}
#declare CDCaseBody4 = difference {
  box { // Cube274
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube275
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube276
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseBlink182 = union {
  box { // CDCaseLip4
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover4
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide4
    <-1, -1, -1>, <1, 1, 1>
    material {
      Blink182SideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody4 }
  rotate 90.0*z
  translate  <0.0, 2.805, 9.525>
}
#declare CDCaseBody5 = difference {
  box { // Cube277
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube278
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube279
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseHomeGrown = union {
  box { // CDCaseLip5
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover5
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide5
    <-1, -1, -1>, <1, 1, 1>
    material {
      HomeGrownSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody5 }
  rotate 90.0*z
  translate  <0.0, 2.805, 8.9>
}
#declare CDCaseBody6 = difference {
  box { // Cube280
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube281
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube282
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseNOFX = union {
  box { // CDCaseLip6
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover6
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide6
    <-1, -1, -1>, <1, 1, 1>
    material {
      NOFXSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody6 }
  rotate 90.0*z
  translate  <0.0, 2.805, 8.275>
}
#declare CDCaseBody7 = difference {
  box { // Cube283
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube284
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube285
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCasePunkORama = union {
  box { // CDCaseLip7
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover7
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide7
    <-1, -1, -1>, <1, 1, 1>
    material {
      PunkORamaSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody7 }
  rotate 90.0*z
  translate  <0.0, 2.805, 7.65>
}
#declare CDCaseBody8 = difference {
  box { // Cube286
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube287
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube288
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseBosstones = union {
  box { // CDCaseLip8
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover8
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide8
    <-1, -1, -1>, <1, 1, 1>
    material {
      BosstonesSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody8 }
  rotate 90.0*z
  translate  <0.0, 2.805, 7.025>
}
#declare CDCaseBody9 = difference {
  box { // Cube289
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube290
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube291
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseRamones = union {
  box { // CDCaseLip9
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover9
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide9
    <-1, -1, -1>, <1, 1, 1>
    material {
      RamonesSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody9 }
  rotate 90.0*z
  translate  <0.0, 2.805, 6.4>
}
#declare CDCaseBody10 = difference {
  box { // Cube292
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube293
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube294
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseGoldfinger = union {
  box { // CDCaseLip10
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover10
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide10
    <-1, -1, -1>, <1, 1, 1>
    material {
      GoldfingerSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody10 }
  rotate 90.0*z
  translate  <0.0, 2.805, 5.775>
}
#declare CDCaseBody11 = difference {
  box { // Cube295
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube296
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube297
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseQueers = union {
  box { // CDCaseLip11
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover11
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide11
    <-1, -1, -1>, <1, 1, 1>
    material {
      QueersSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody11 }
  rotate 90.0*z
  translate  <0.0, 2.805, 5.15>
}
#declare CDCaseBody12 = difference {
  box { // Cube298
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube299
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube300
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseTenFootPole = union {
  box { // CDCaseLip12
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover12
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide12
    <-1, -1, -1>, <1, 1, 1>
    material {
      TenFootPoleSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody12 }
  rotate 90.0*z
  translate  <0.0, 2.805, 4.525>
}
#declare CDCaseBody13 = difference {
  box { // Cube301
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube302
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube303
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseLessThanJake = union {
  box { // CDCaseLip13
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover13
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide13
    <-1, -1, -1>, <1, 1, 1>
    material {
      LessThanJakeSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody13 }
  rotate 90.0*z
  translate  <0.0, 2.805, 3.9>
}
#declare CDCaseBody14 = difference {
  box { // Cube304
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube305
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube306
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseScreechinWeasel = union {
  box { // CDCaseLip14
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover14
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide14
    <-1, -1, -1>, <1, 1, 1>
    material {
      ScreechingWeaselSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody14 }
  rotate 90.0*z
  translate  <0.0, 2.805, 3.275>
}
#declare CDCaseBody15 = difference {
  box { // Cube307
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube308
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube309
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseOpIvy = union {
  box { // CDCaseLip15
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover15
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide15
    <-1, -1, -1>, <1, 1, 1>
    material {
      OpIvySideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody15 }
  rotate 90.0*z
  translate  <0.0, 2.805, 2.65>
}
#declare CDCaseBody16 = difference {
  box { // Cube310
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube311
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube312
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseAgentOrange = union {
  box { // CDCaseLip16
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover16
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide16
    <-1, -1, -1>, <1, 1, 1>
    material {
      AgentOrangeSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody16 }
  rotate 90.0*z
  translate  <0.0, 2.805, 2.025>
}
#declare CDCaseBody17 = difference {
  box { // Cube313
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube314
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube315
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseMiggedys = union {
  box { // CDCaseLip17
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover17
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide17
    <-1, -1, -1>, <1, 1, 1>
    material {
      MiggedysSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody17 }
  rotate 90.0*z
  translate  <0.0, 2.805, 1.4>
}
#declare CDCaseBody18 = difference {
  box { // Cube316
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube317
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube318
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCaseRancid = union {
  box { // CDCaseLip18
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover18
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide18
    <-1, -1, -1>, <1, 1, 1>
    material {
      RancidSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody18 }
  rotate 90.0*z
  translate  <0.0, 2.805, 0.775>
}
#declare CDCaseBody19 = difference {
  box { // Cube319
    <-1, -1, -1>, <1, 1, 1>
    scale <2.75, 2.5, 0.1875>
    translate  0.1875*z
  }
  box { // Cube320
    <-1, -1, -1>, <1, 1, 1>
    scale <2.6875, 2.375, 0.125>
    translate  0.1875*z
  }
  box { // Cube321
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    scale <0.3, 2.4375, 0.1125>
    translate  <-2.25, 0.0, 0.3125>
  }
  material {
    Crystal_1
  }
}
#declare CDCase2Tone = union {
  box { // CDCaseLip19
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, 1.0>
    material {
      DarkPlastic
    }
    scale <0.25, 2.4375, 0.03125>
    translate  <-2.25, 0.0, 0.3125>
  }
  box { // CDCaseCover19
    <-1, -1, -1>, <1, 1, 1>
    material {
      RCTCoverLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.46875, 2.375, 0.00001>
    translate  <0.21875, 0.0, 0.3125>
  }
  box { // CDCaseSide19
    <-1, -1, -1>, <1, 1, 1>
    material {
      C2ToneSideLabel
      scale <2.0, 2.0, 1.0>
      rotate <-90.0, -180.0, 90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 0.125>
    translate  <-2.6875, 0.0, 0.1875>
  }
  object { CDCaseBody19 }
  rotate 90.0*z
  translate  <0.0, 2.805, 0.15>
}
union { // CDRackWithCDCases
  object { CDRack }
  object { CDCaseCranberries }
  object { CDCaseBadReligion }
  object { CDCaseReelBigFish }
  object { CDCaseMallrats }
  object { CDCaseBlink182 }
  object { CDCaseHomeGrown }
  object { CDCaseNOFX }
  object { CDCasePunkORama }
  object { CDCaseBosstones }
  object { CDCaseRamones }
  object { CDCaseGoldfinger }
  object { CDCaseQueers }
  object { CDCaseTenFootPole }
  object { CDCaseLessThanJake }
  object { CDCaseScreechinWeasel }
  object { CDCaseOpIvy }
  object { CDCaseAgentOrange }
  object { CDCaseMiggedys }
  object { CDCaseRancid }
  object { CDCase2Tone }
  translate  <15.375, 0.5, 37.125>
}


#declare PinPoint1 = union {
  cone { // Cone005
    <0,0,0>, 0.0, <0,0,1>, 0.03125
    scale <1.0, 1.0, 0.125>
  }
  cylinder { // Cylndr029
    <0,0,1>, <0,0,0>, 1 
    scale <0.03125, 0.03125, 0.25>
    translate  0.125*z
  }
  material {
    SilverTexture
  }
}
#declare CSG036 = difference {
  sphere { // Sphere003
    <0,0,0>,1
    scale <0.1875, 0.1875, 0.149247>
  }
  cylinder { // Cylndr031
    <0,0,1>, <0,0,0>, 1 
    scale <0.19, 0.19, -0.15>
  }
}
#declare PinBody1 = union {
  cone { // Cone007
    <0,0,0>, 0.09375, <0,0,1>, 0.0625
    scale <1.0, 1.0, 0.25>
    translate  0.125*z
  }
  cone { // Cone008
    <0,0,0>, 0.0625, <0,0,1>, 0.125
    scale <1.0, 1.0, 0.0625>
    translate  0.375*z
  }
  cylinder { // Cylndr030
    <0,0,1>, <0,0,0>, 1 
    scale <0.125, 0.125, 0.0625>
    translate  0.4375*z
  }
  object { CSG036 }
  material {
    RedPlastic
  }
  translate  0.375*z
}
union { // Pin1
  object { PinPoint1 }
  object { PinBody1 }
  rotate <75.0, 0.0, 45.0>
  translate  <9.9, -1.9, 50.625>
}


union { // Walls
  box { // Cube075
    <-1, -1, -1>, <1, 1, 1>
    scale <0.00001, 40.0, 30.0>
    translate  <-13.5, -26.5, 30.0>
  }
  box { // Cube076
    <-1, -1, -1>, <1, 1, 1>
    scale <40.0, 0.00001, 30.0>
    translate  <26.5, 13.5, 30.0>
  }
  material {
    WallTexture
  }
}


#declare DeskLeftStand = union {
  box { // DeskLeftStandRightPanel
    <-1, -1, -1>, <1, 1, 1>
    scale <0.375, 6.0, 13.125>
    translate  <8.125, 0.0, 13.125>
    material {
      DeskWoodTexture
      rotate -0.25*x
      translate <-12.500000, -12.375000, 18.000000>
      // Transform to world space
      translate  <6.0, 20.5, 0.0>
      rotate -90.0*z
    }
  }
  box { // DeskLeftStandLeftPanel
    <-1, -1, -1>, <1, 1, 1>
    scale <0.375, 10.0, 13.125>
    translate  <-8.125, -4.0, 13.125>
    material {
      DeskWoodTexture
      rotate -0.25*x
      translate <-12.500000, -28.625000, 5.000000>
      // Transform to world space
      translate  <6.0, 20.5, 0.0>
      rotate -90.0*z
    }
  }
  box { // DeskLeftStandUpperShelf
    <-1, -1, -1>, <1, 1, 1>
    scale <8.5, 6.0, 0.375>
    translate  26.625*z
    material {
      DeskWoodTexture
      rotate -90.25*x
      translate <-12.500000, -30.000000, 26.625000>
      // Transform to world space
      translate  <6.0, 20.5, 0.0>
      rotate -90.0*z
    }
  }
  box { // DeskLeftStandLowerShelf
    <-1, -1, -1>, <1, 1, 1>
    scale <7.75, 6.0, 0.375>
    translate  20.125*z
    material {
      DeskWoodTexture
      rotate -89.75*x
      translate <-12.500000, -21.000000, 20.125000>
      // Transform to world space
      translate  <6.0, 20.5, 0.0>
      rotate -90.0*z
    }
  }
  box { // DeskLeftStandSupport
    <-1, -1, -1>, <1, 1, 1>
    scale <7.75, 0.375, 2.0>
    translate  <0.0, 5.625, 2.0>
    material {
      DeskWoodTexture
      rotate -90.25*x
      translate <-11.625000, -15.000000, -0.500000>
      // Transform to world space
      translate  <6.0, 20.5, 0.0>
      rotate -90.0*z
    }
  }
}
#declare CSG007 = difference {
  box { // Cube026
    <-1, -1, -1>, <1, 1, 1>
    scale <0.375, 6.0, 13.0>
    translate  13.0*z
  }
  box { // Cube027
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 1.0, 1.0>
    translate  <0.0, -5.25, 25.25>
  }
}
#declare DeskLeftHutchRightPanel = union {
  object { CSG007 }
  cylinder { // Cylndr003
    <0,0,1>, <0,0,0>, 1 
    scale <1.75, 1.75, 0.75>
    rotate <-0.0, -90.0, 0.0>
    translate  <0.375, -4.25, 24.25>
  }
  translate  8.125*x
  material {
    DeskWoodTexture
    rotate -0.25*x
    translate <-12.500000, -12.375000, 30.000000>
    // Transform to world space
    translate  -27.0*z
    translate  <6.0, 20.5, 0.0>
    rotate -90.0*z
  }
}
#declare CSG009 = difference {
  box { // Cube028
    <-1, -1, -1>, <1, 1, 1>
    scale <0.375, 6.0, 13.0>
    translate  13.0*z
  }
  box { // Cube029
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 1.0, 1.0>
    translate  <0.0, -5.25, 25.25>
  }
}
#declare DeskLeftHutchLeftPanel = union {
  object { CSG009 }
  cylinder { // Cylndr004
    <0,0,1>, <0,0,0>, 1 
    scale <1.75, 1.75, 0.75>
    rotate <-0.0, -90.0, 0.0>
    translate  <0.375, -4.25, 24.25>
  }
  translate  -8.125*x
  material {
    DeskWoodTexture
    rotate -0.25*x
    translate <-12.500000, -28.625000, 50.000000>
    // Transform to world space
    translate  -27.0*z
    translate  <6.0, 20.5, 0.0>
    rotate -90.0*z
  }
}
#declare DeskLeftHutch = union {
  object { DeskLeftHutchRightPanel }
  object { DeskLeftHutchLeftPanel }
  box { // DeskLeftHutchLowerShelf
    <-1, -1, -1>, <1, 1, 1>
    scale <7.75, 6.0, 0.375>
    translate  9.375*z
    material {
      DeskWoodTexture
      rotate -90.25*x
      translate <-12.500000, -20.000000, 36.375000>
      // Transform to world space
      translate  -27.0*z
      translate  <6.0, 20.5, 0.0>
      rotate -90.0*z
    }
  }
  box { // DeskLeftHutchUpperShelf
    <-1, -1, -1>, <1, 1, 1>
    scale <7.75, 6.0, 0.375>
    translate  23.625*z
    material {
      DeskWoodTexture
      rotate -89.75*x
      translate <-12.500000, -13.000000, 50.625000>
      // Transform to world space
      translate  -27.0*z
      translate  <6.0, 20.5, 0.0>
      rotate -90.0*z
    }
  }
  box { // DeskLeftHutchDivider
    <-1, -1, -1>, <1, 1, 1>
    scale <0.375, 6.0, 6.75>
    translate  <-2.375, 0.0, 16.5>
    material {
      DeskWoodTexture
      rotate -0.25*x
      translate <-12.500000, -22.875000, 44.000000>
      // Transform to world space
      translate  -27.0*z
      translate  <6.0, 20.5, 0.0>
      rotate -90.0*z
    }
  }
  box { // DeskLeftHutchBackboard
    <-1, -1, -1>, <1, 1, 1>
    scale <8.125, 0.01, 8.3125>
    translate  <0.0, 6.01, 17.6875>
    material {
      DeskWoodTexture
      rotate -0.25*x
      translate <-12.000000, -11.500000, 55.000000>
      // Transform to world space
      translate  -27.0*z
      translate  <6.0, 20.5, 0.0>
      rotate -90.0*z
    }
  }
  box { // DeskLeftHutchMiddleShelf
    <-1, -1, -1>, <1, 1, 1>
    scale <4.875, 6.0, 0.375>
    translate  <2.875, 0.0, 17.5>
    material {
      DeskWoodTexture
      rotate -89.75*x
      translate <-12.500000, -22.000000, 44.500000>
      // Transform to world space
      translate  -27.0*z
      translate  <6.0, 20.5, 0.0>
      rotate -90.0*z
    }
  }
  translate  27.0*z
}
#declare DeskLeft = union {
  object { DeskLeftStand }
  object { DeskLeftHutch }
  rotate 90.0*z
  translate  <-6.0, -20.5, 0.0>
}
#declare DeskRightStand = union {
  box { // DeskRightStandLeftPanel
    <-1, -1, -1>, <1, 1, 1>
    scale <0.375, 6.0, 13.125>
    translate  <-8.125, 0.0, 13.125>
    material {
      DeskWoodTexture
      rotate 0.25*y
      translate <12.325000, 12.500000, -8.000000>
      // Transform to world space
      translate  <-20.5, -6.0, 0.0>
    }
  }
  box { // DeskRightStandRightPanel
    <-1, -1, -1>, <1, 1, 1>
    scale <0.375, 10.0, 13.125>
    translate  <8.125, -4.0, 13.125>
    material {
      DeskWoodTexture
      rotate -0.25*y
      translate <28.625000, 12.500000, 16.000000>
      // Transform to world space
      translate  <-20.5, -6.0, 0.0>
    }
  }
  box { // DeskRightStandUpperShelf
    <-1, -1, -1>, <1, 1, 1>
    scale <8.5, 6.0, 0.375>
    translate  26.625*z
    material {
      DeskWoodTexture
      rotate -89.75*y
      translate <17.000000, 12.500000, 26.625000>
      // Transform to world space
      translate  <-20.5, -6.0, 0.0>
    }
  }
  box { // DeskRightStandLowerShelf
    <-1, -1, -1>, <1, 1, 1>
    scale <7.75, 6.0, 0.375>
    translate  2.625*z
    material {
      DeskWoodTexture
      rotate -90.25*y
      translate <12.000000, 12.500000, 2.625000>
      // Transform to world space
      translate  <-20.5, -6.0, 0.0>
    }
  }
  box { // DeskRightStandMiddleShelf
    <-1, -1, -1>, <1, 1, 1>
    scale <7.75, 6.0, 0.375>
    translate  20.125*z
    material {
      DeskWoodTexture
      rotate -89.75*y
      translate <24.000000, 12.500000, 20.125000>
      // Transform to world space
      translate  <-20.5, -6.0, 0.0>
    }
  }
  box { // DeskRightStandBackboard
    <-1, -1, -1>, <1, 1, 1>
    scale <8.125, 0.01, 12.0>
    translate  <0.0, 6.01, 14.625>
    material {
      DeskWoodTexture
      translate <11.500000, 12.000000, 24.000000>
      // Transform to world space
      translate  <-20.5, -6.0, 0.0>
    }
  }
}
#declare CSG002 = difference {
  box { // Cube010
    <-1, -1, -1>, <1, 1, 1>
    scale <0.375, 6.0, 13.0>
    translate  13.0*z
  }
  box { // Cube011
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 1.0, 1.0>
    translate  <0.0, -5.25, 25.25>
  }
}
#declare DeskRightHutchRightPanel = union {
  object { CSG002 }
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    scale <1.75, 1.75, 0.75>
    rotate <-0.0, -90.0, 0.0>
    translate  <0.375, -4.25, 24.25>
  }
  translate  8.125*x
  material {
    DeskWoodTexture
    rotate -0.3*y
    translate <28.625000, 12.500000, 50.000000>
    // Transform to world space
    translate  -27.0*z
    translate  <-20.5, -6.0, 0.0>
  }
}
#declare CSG004 = difference {
  box { // Cube012
    <-1, -1, -1>, <1, 1, 1>
    scale <0.375, 6.0, 13.0>
    translate  13.0*z
  }
  box { // Cube013
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 1.0, 1.0>
    translate  <0.0, -5.25, 25.25>
  }
}
#declare DeskRightHutchLeftPanel = union {
  object { CSG004 }
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1 
    scale <1.75, 1.75, 0.75>
    rotate <-0.0, -90.0, 0.0>
    translate  <0.375, -4.25, 24.25>
  }
  translate  -8.125*x
  material {
    DeskWoodTexture
    rotate -0.25*y
    translate <12.375000, 12.500000, 38.000000>
    // Transform to world space
    translate  -27.0*z
    translate  <-20.5, -6.0, 0.0>
  }
}
#declare DeskRightHutch = union {
  object { DeskRightHutchRightPanel }
  object { DeskRightHutchLeftPanel }
  box { // DeskRightHutchLowerShelf
    <-1, -1, -1>, <1, 1, 1>
    scale <7.75, 6.0, 0.375>
    translate  9.375*z
    material {
      DeskWoodTexture
      rotate -89.75*y
      translate <25.000000, 12.500000, 36.375000>
      // Transform to world space
      translate  -27.0*z
      translate  <-20.5, -6.0, 0.0>
    }
  }
  box { // DeskRightHutchUpperShelf
    <-1, -1, -1>, <1, 1, 1>
    scale <7.75, 6.0, 0.375>
    translate  23.625*z
    material {
      DeskWoodTexture
      rotate -89.75*y
      translate <9.000000, 12.500000, 50.625000>
      // Transform to world space
      translate  -27.0*z
      translate  <-20.5, -6.0, 0.0>
    }
  }
  box { // DeskRightHutchDivider
    <-1, -1, -1>, <1, 1, 1>
    scale <0.375, 6.0, 6.75>
    translate  <-2.125, 0.0, 16.5>
    material {
      DeskWoodTexture
      rotate 0.25*y
      translate <18.000000, 12.500000, 34.000000>
      // Transform to world space
      translate  -27.0*z
      translate  <-20.5, -6.0, 0.0>
    }
  }
  box { // DeskRightHutchBackboard
    <-1, -1, -1>, <1, 1, 1>
    scale <8.125, 0.01, 8.3125>
    translate  <0.0, 6.01, 17.6875>
    material {
      DeskWoodTexture
      translate <29.500000, 12.000000, 55.000000>
      // Transform to world space
      translate  -27.0*z
      translate  <-20.5, -6.0, 0.0>
    }
  }
  translate  27.0*z
}
#declare DeskRight = union {
  object { DeskRightStand }
  object { DeskRightHutch }
  translate  <20.5, 6.0, 0.0>
}
#declare DeskCenterLowerShelf = difference {
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 12.0, 0.375>
  }
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 1.0, 0.0>
    scale <9.0, 5.0, 0.4>
    rotate 45.0*z
    translate  12.0*y
  }
  box { // Cube003
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, -1.0, 0.0>
    scale <9.0, 5.0, 0.4>
    rotate 45.0*z
    translate  -12.0*y
  }
  translate  26.625*z
  material {
    DeskWoodTexture
    rotate <0.0, -90.25, 45.0>
    translate <-12.125000, 0.500000, 26.625000>
    // Transform to world space
  }
}
#declare DeskCenterUpperShelf = difference {
  box { // Cube019
    <-1, -1, -1>, <1, 1, 1>
    scale <12.0, 12.0, 0.375>
  }
  box { // Cube020
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 1.0, 0.0>
    scale <9.0, 5.0, 0.4>
    rotate 45.0*z
    translate  12.0*y
  }
  box { // Cube021
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, -1.0, 0.0>
    scale <9.0, 5.0, 0.4>
    rotate 45.0*z
    translate  -12.0*y
  }
  translate  50.625*z
  material {
    DeskWoodTexture
    rotate <0.0, -89.25, 45.0>
    translate <-2.500000, 10.000000, 50.625000>
    // Transform to world space
  }
}
#declare CSG011 = difference {
  box { // Cube037
    <-1, -1, -1>, <1, 1, 1>
    scale <14.5, 14.5, 0.375>
    translate  <14.5, -14.5, 0.0>
  }
  box { // Cube038
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 1.0, 0.0>
    scale <9.0, 5.0, 0.4>
    rotate 45.0*z
    translate  -12.0*y
  }
  box { // Cube039
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*z
    translate  <1.0, 0.0, 0.0>
    scale <10.0, 3.0, 0.4>
    translate  <11.0, -28.75, 0.0>
  }
  box { // Cube040
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*z
    translate  -1.0*y
    scale <3.0, 10.0, 0.4>
    translate  <28.75, -11.0, 0.0>
  }
  box { // Cube042
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 1.0, 0.4>
    translate  <10.25, -28.25, 0.0>
  }
  box { // Cube043
    <-1, -1, -1>, <1, 1, 1>
    scale <1.0, 1.0, 0.4>
    translate  <28.25, -10.25, 0.0>
  }
  cylinder { // Cylndr007
    <0,0,1>, <0,0,0>, 1 
    scale <1.75, 1.75, 0.8>
    translate  <12.75, -25.75, -0.4>
  }
  cylinder { // Cylndr010
    <0,0,1>, <0,0,0>, 1 
    scale <1.75, 1.75, 0.8>
    translate  <25.75, -12.75, -0.4>
  }
  box { // Cube044
    <-1, -1, -1>, <1, 1, 1>
    translate  1.0*x
    scale <9.19239, 1.75, 0.4>
    rotate 45.0*z
    translate  <12.75, -25.75, 0.0>
  }
  box { // Cube041
    <-1, -1, -1>, <1, 1, 1>
    translate  1.0*y
    scale <8.0, 4.0, 0.4>
    rotate 45.0*z
    translate  <26.0, -26.0, 0.0>
  }
}
#declare DeskCenterDesktop = union {
  object { CSG011 }
  cylinder { // Cylndr005
    <0,0,1>, <0,0,0>, 1 
    scale <1.75, 1.75, 0.75>
    translate  <9.25, -27.25, -0.375>
  }
  cylinder { // Cylndr006
    <0,0,1>, <0,0,0>, 1 
    scale <1.75, 1.75, 0.75>
    translate  <27.25, -9.25, -0.375>
  }
  translate  26.625*z
  material {
    DeskWoodTexture
    rotate <0.0, -90.25, 45.0>
    translate <5.625000, -5.625000, 26.625000>
    // Transform to world space
  }
}
#declare DeskCenter = union {
  object { DeskCenterLowerShelf }
  object { DeskCenterUpperShelf }
  box { // DeskCenterLowerSupport
    <-1, -1, -1>, <1, 1, 1>
    translate  1.0*y
    scale <3.5, 0.375, 13.5>
    rotate 45.0*z
    translate  <-6.0, 6.0, 13.5>
    material {
      DeskWoodTexture
      rotate <0.0, -0.25, -45.0>
      translate <-3.500000, 9.000000, 0.000000>
      // Transform to world space
    }
  }
  box { // DeskCenterUpperSupport
    <-1, -1, -1>, <1, 1, 1>
    translate  1.0*y
    scale <3.5, 0.375, 13.0>
    rotate 45.0*z
    translate  <-6.0, 6.0, 40.0>
    material {
      DeskWoodTexture
      rotate <0.0, 0.25, -45.0>
      translate <-9.000000, 3.500000, 40.000000>
      // Transform to world space
    }
  }
  object { DeskCenterDesktop }
}
union { // Desk
  object { DeskLeft }
  object { DeskRight }
  object { DeskCenter }
}














plane { // Plane001
  z,0
  material {
    Material2
  }
}


#declare CSG013 = difference {
  sphere { // Sphere001
    <0,0,0>,1
    scale <5.0, 5.0, 1.5>
    translate  0.25*z
  }
  cylinder { // Cylndr012
    <0,0,1>, <0,0,0>, 1 
    scale <5.1, 5.1, -1.8>
    translate  0.25*z
  }
}
#declare MonitorBase = union {
  object { CSG013 }
  cylinder { // Cylndr013
    <0,0,1>, <0,0,0>, 1 
    scale <5.0, 5.0, 0.25>
  }
  cylinder { // Cylndr014
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 3.0, 4.5>
    rotate 90.0*y
    translate  <-2.25, 0.0, 2.5>
  }
}
#declare RndCube002 = merge {
  sphere { <7.6500, 1.9000, 6.4000>, 0.1000 }
  sphere { <7.6500, -1.9000, 6.4000>, 0.1000 }
  sphere { <-7.6500, -1.9000, 6.4000>, 0.1000 }
  sphere { <-7.6500, 1.9000, 6.4000>, 0.1000 }
  sphere { <7.6500, 1.9000, -6.4000>, 0.1000 }
  sphere { <7.6500, -1.9000, -6.4000>, 0.1000 }
  sphere { <-7.6500, -1.9000, -6.4000>, 0.1000 }
  sphere { <-7.6500, 1.9000, -6.4000>, 0.1000 }
  cylinder { <7.6500, 1.9000, 6.4000>, <-7.6500, 1.9000, 6.4000>, 0.1000 }
  cylinder { <7.6500, -1.9000, 6.4000>, <-7.6500, -1.9000, 6.4000>, 0.1000 }
  cylinder { <7.6500, -1.9000, -6.4000>, <-7.6500, -1.9000, -6.4000>, 0.1000 }
  cylinder { <7.6500, 1.9000, -6.4000>, <-7.6500, 1.9000, -6.4000>, 0.1000 }
  cylinder { <7.6500, 1.9000, -6.4000>, <7.6500, 1.9000, 6.4000>, 0.1000 }
  cylinder { <7.6500, -1.9000, -6.4000>, <7.6500, -1.9000, 6.4000>, 0.1000 }
  cylinder { <-7.6500, -1.9000, -6.4000>, <-7.6500, -1.9000, 6.4000>, 0.1000 }
  cylinder { <-7.6500, 1.9000, -6.4000>, <-7.6500, 1.9000, 6.4000>, 0.1000 }
  cylinder { <7.6500, 1.9000, 6.4000>, <7.6500, -1.9000, 6.4000>, 0.1000 }
  cylinder { <7.6500, 1.9000, -6.4000>, <7.6500, -1.9000, -6.4000>, 0.1000 }
  cylinder { <-7.6500, 1.9000, -6.4000>, <-7.6500, -1.9000, -6.4000>, 0.1000 }
  cylinder { <-7.6500, 1.9000, 6.4000>, <-7.6500, -1.9000, 6.4000>, 0.1000 }
  box { <-7.6500, -1.9000, -6.5000> <7.6500, 1.9000, 6.5000> }
  box { <-7.6500, -2.0000, -6.4000> <7.6500, 2.0000, 6.4000> }
  box { <-7.7500, -1.9000, -6.4000> <7.7500, 1.9000, 6.4000> }
}
#declare RndDisc003 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1880, 0.1880, 0.2000> }
  torus { 0.1880, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.2900, -0.2900, -0.0020>, <0.2900, 0.2900, 0.2020> } } }
  rotate 90.0*x
  translate  <0.0, -1.9, -6.0>
}
#declare RndDisc005 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1880, 0.1880, 0.2000> }
  torus { 0.1880, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.2900, -0.2900, -0.0020>, <0.2900, 0.2900, 0.2020> } } }
  rotate 90.0*x
  translate  <-0.75, -1.9, -6.0>
}
#declare RndDisc006 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1880, 0.1880, 0.2000> }
  torus { 0.1880, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.2900, -0.2900, -0.0020>, <0.2900, 0.2900, 0.2020> } } }
  rotate 90.0*x
  translate  <0.75, -1.9, -6.0>
}
#declare RndDisc009 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.3750, 0.3750, 0.2000> }
  torus { 0.3750, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.4770, -0.4770, -0.0020>, <0.4770, 0.4770, 0.2020> } } }
  rotate 90.0*x
  translate  <5.0, -1.9, -5.5>
}
#declare CSG014 = difference {
  object { RndCube002 }
  box { // Cube033
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <7.25, 1.0, 1.0>
    rotate -26.565001*x
    translate  <0.0, -2.0, 5.5>
  }
  box { // Cube034
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, 1.0>
    scale <7.25, 1.0, 1.0>
    rotate 26.565001*x
    translate  <0.0, -2.0, -4.5>
  }
  box { // Cube035
    <-1, -1, -1>, <1, 1, 1>
    scale <7.25, 0.5, 4.75>
    translate  <0.0, -1.75, 0.5>
  }
  object { RndDisc003 }
  object { RndDisc005 }
  object { RndDisc006 }
  object { RndDisc009 }
  cylinder { // Cylndr015
    <0,0,1>, <0,0,0>, 1 
    scale <0.0625, 0.0625, 0.25>
    rotate 90.0*x
    translate  <4.0, -1.8, -5.5>
  }
}
#declare CSG015 = difference {
  cylinder { // Cylndr016
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 0.5, 10.0>
    translate  -5.0*z
  }
  box { // Cube036
    <-1, -1, -1>, <1, 1, 1>
    scale <0.51, 0.51, 5.1>
    translate  -0.51*x
  }
  translate  <-7.25, -1.5, 0.5>
}
#declare CSG016 = difference {
  cylinder { // Cylndr017
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 0.5, 10.0>
    translate  -5.0*z
  }
  box { // Cube045
    <-1, -1, -1>, <1, 1, 1>
    scale <0.51, 0.51, 5.1>
    translate  0.51*x
  }
  translate  <7.25, -1.5, 0.5>
}
#declare CSG017 = difference {
  box { // Cube046
    <-1, -1, -1>, <1, 1, 1>
    scale <7.65, 0.5, 6.4>
    translate  2.5*y
  }
  box { // Cube047
    <-1, -1, -1>, <1, 1, 1>
    translate  <0.0, 1.0, -1.0>
    scale <7.75, 0.5, 1.0>
    rotate 41.009087*x
    translate  <0.0, 2.0, 6.4>
  }
  box { // Cube048
    <-1, -1, -1>, <1, 1, 1>
    translate  <0.0, 1.0, 1.0>
    scale <7.75, 0.5, 1.0>
    rotate -41.00909*x
    translate  <0.0, 2.0, -6.4>
  }
  box { // Cube049
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 1.0, 0.0>
    scale <1.0, 0.5, 6.5>
    rotate 31.218403*z
    translate  <-7.65, 2.0, 0.0>
  }
  box { // Cube050
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 1.0, 0.0>
    scale <1.0, 0.5, 6.5>
    rotate -31.218399*z
    translate  <7.65, 2.0, 0.0>
  }
}
#declare RndDisc004 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1775, 0.1775, 0.2500> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1875, 0.1875, 0.2300> translate 0.0100*z }
  torus { 0.1775, 0.0100  rotate -x*90 translate  0.2400*z bounded_by { box { <-0.1877, -0.1877, 0.2298>, <0.1877, 0.1877, 0.2502> } } }
  torus { 0.1775, 0.0100  rotate -x*90 translate  0.0100*z bounded_by { box { <-0.1877, -0.1877, -0.0002>, <0.1877, 0.1877, 0.0202> } } }
  rotate 90.0*x
  translate  <-0.75, -1.8, -6.0>
}
#declare RndDisc007 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1775, 0.1775, 0.2500> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1875, 0.1875, 0.2300> translate 0.0100*z }
  torus { 0.1775, 0.0100  rotate -x*90 translate  0.2400*z bounded_by { box { <-0.1877, -0.1877, 0.2298>, <0.1877, 0.1877, 0.2502> } } }
  torus { 0.1775, 0.0100  rotate -x*90 translate  0.0100*z bounded_by { box { <-0.1877, -0.1877, -0.0002>, <0.1877, 0.1877, 0.0202> } } }
  rotate 90.0*x
}
#declare RndCube006 = merge {
  sphere { <0.0975, 0.0125, 0.0025>, 0.0025 }
  sphere { <0.0975, -0.0125, 0.0025>, 0.0025 }
  sphere { <-0.0975, -0.0125, 0.0025>, 0.0025 }
  sphere { <-0.0975, 0.0125, 0.0025>, 0.0025 }
  sphere { <0.0975, 0.0125, -0.0025>, 0.0025 }
  sphere { <0.0975, -0.0125, -0.0025>, 0.0025 }
  sphere { <-0.0975, -0.0125, -0.0025>, 0.0025 }
  sphere { <-0.0975, 0.0125, -0.0025>, 0.0025 }
  cylinder { <0.0975, 0.0125, 0.0025>, <-0.0975, 0.0125, 0.0025>, 0.0025 }
  cylinder { <0.0975, -0.0125, 0.0025>, <-0.0975, -0.0125, 0.0025>, 0.0025 }
  cylinder { <0.0975, -0.0125, -0.0025>, <-0.0975, -0.0125, -0.0025>, 0.0025 }
  cylinder { <0.0975, 0.0125, -0.0025>, <-0.0975, 0.0125, -0.0025>, 0.0025 }
  cylinder { <0.0975, 0.0125, -0.0025>, <0.0975, 0.0125, 0.0025>, 0.0025 }
  cylinder { <0.0975, -0.0125, -0.0025>, <0.0975, -0.0125, 0.0025>, 0.0025 }
  cylinder { <-0.0975, -0.0125, -0.0025>, <-0.0975, -0.0125, 0.0025>, 0.0025 }
  cylinder { <-0.0975, 0.0125, -0.0025>, <-0.0975, 0.0125, 0.0025>, 0.0025 }
  cylinder { <0.0975, 0.0125, 0.0025>, <0.0975, -0.0125, 0.0025>, 0.0025 }
  cylinder { <0.0975, 0.0125, -0.0025>, <0.0975, -0.0125, -0.0025>, 0.0025 }
  cylinder { <-0.0975, 0.0125, -0.0025>, <-0.0975, -0.0125, -0.0025>, 0.0025 }
  cylinder { <-0.0975, 0.0125, 0.0025>, <-0.0975, -0.0125, 0.0025>, 0.0025 }
  box { <-0.0975, -0.0125, -0.0050> <0.0975, 0.0125, 0.0050> }
  box { <-0.0975, -0.0150, -0.0025> <0.0975, 0.0150, 0.0025> }
  box { <-0.1000, -0.0125, -0.0025> <0.1000, 0.0125, 0.0025> }
  translate  -0.25*y
}
#declare CSG018 = difference {
  object { RndDisc007 }
  object { RndCube006 }
  translate  <0.0, -1.8, -6.0>
}
#declare RndDisc008 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1775, 0.1775, 0.2500> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1875, 0.1875, 0.2300> translate 0.0100*z }
  torus { 0.1775, 0.0100  rotate -x*90 translate  0.2400*z bounded_by { box { <-0.1877, -0.1877, 0.2298>, <0.1877, 0.1877, 0.2502> } } }
  torus { 0.1775, 0.0100  rotate -x*90 translate  0.0100*z bounded_by { box { <-0.1877, -0.1877, -0.0002>, <0.1877, 0.1877, 0.0202> } } }
  rotate 90.0*x
}
#declare RndCube014 = merge {
  sphere { <0.0975, 0.0125, 0.0025>, 0.0025 }
  sphere { <0.0975, -0.0125, 0.0025>, 0.0025 }
  sphere { <-0.0975, -0.0125, 0.0025>, 0.0025 }
  sphere { <-0.0975, 0.0125, 0.0025>, 0.0025 }
  sphere { <0.0975, 0.0125, -0.0025>, 0.0025 }
  sphere { <0.0975, -0.0125, -0.0025>, 0.0025 }
  sphere { <-0.0975, -0.0125, -0.0025>, 0.0025 }
  sphere { <-0.0975, 0.0125, -0.0025>, 0.0025 }
  cylinder { <0.0975, 0.0125, 0.0025>, <-0.0975, 0.0125, 0.0025>, 0.0025 }
  cylinder { <0.0975, -0.0125, 0.0025>, <-0.0975, -0.0125, 0.0025>, 0.0025 }
  cylinder { <0.0975, -0.0125, -0.0025>, <-0.0975, -0.0125, -0.0025>, 0.0025 }
  cylinder { <0.0975, 0.0125, -0.0025>, <-0.0975, 0.0125, -0.0025>, 0.0025 }
  cylinder { <0.0975, 0.0125, -0.0025>, <0.0975, 0.0125, 0.0025>, 0.0025 }
  cylinder { <0.0975, -0.0125, -0.0025>, <0.0975, -0.0125, 0.0025>, 0.0025 }
  cylinder { <-0.0975, -0.0125, -0.0025>, <-0.0975, -0.0125, 0.0025>, 0.0025 }
  cylinder { <-0.0975, 0.0125, -0.0025>, <-0.0975, 0.0125, 0.0025>, 0.0025 }
  cylinder { <0.0975, 0.0125, 0.0025>, <0.0975, -0.0125, 0.0025>, 0.0025 }
  cylinder { <0.0975, 0.0125, -0.0025>, <0.0975, -0.0125, -0.0025>, 0.0025 }
  cylinder { <-0.0975, 0.0125, -0.0025>, <-0.0975, -0.0125, -0.0025>, 0.0025 }
  cylinder { <-0.0975, 0.0125, 0.0025>, <-0.0975, -0.0125, 0.0025>, 0.0025 }
  box { <-0.0975, -0.0125, -0.0050> <0.0975, 0.0125, 0.0050> }
  box { <-0.0975, -0.0150, -0.0025> <0.0975, 0.0150, 0.0025> }
  box { <-0.1000, -0.0125, -0.0025> <0.1000, 0.0125, 0.0025> }
  translate  -0.25*y
}
#declare RndCube015 = merge {
  sphere { <0.0025, 0.0125, 0.0975>, 0.0025 }
  sphere { <0.0025, -0.0125, 0.0975>, 0.0025 }
  sphere { <-0.0025, -0.0125, 0.0975>, 0.0025 }
  sphere { <-0.0025, 0.0125, 0.0975>, 0.0025 }
  sphere { <0.0025, 0.0125, -0.0975>, 0.0025 }
  sphere { <0.0025, -0.0125, -0.0975>, 0.0025 }
  sphere { <-0.0025, -0.0125, -0.0975>, 0.0025 }
  sphere { <-0.0025, 0.0125, -0.0975>, 0.0025 }
  cylinder { <0.0025, 0.0125, 0.0975>, <-0.0025, 0.0125, 0.0975>, 0.0025 }
  cylinder { <0.0025, -0.0125, 0.0975>, <-0.0025, -0.0125, 0.0975>, 0.0025 }
  cylinder { <0.0025, -0.0125, -0.0975>, <-0.0025, -0.0125, -0.0975>, 0.0025 }
  cylinder { <0.0025, 0.0125, -0.0975>, <-0.0025, 0.0125, -0.0975>, 0.0025 }
  cylinder { <0.0025, 0.0125, -0.0975>, <0.0025, 0.0125, 0.0975>, 0.0025 }
  cylinder { <0.0025, -0.0125, -0.0975>, <0.0025, -0.0125, 0.0975>, 0.0025 }
  cylinder { <-0.0025, -0.0125, -0.0975>, <-0.0025, -0.0125, 0.0975>, 0.0025 }
  cylinder { <-0.0025, 0.0125, -0.0975>, <-0.0025, 0.0125, 0.0975>, 0.0025 }
  cylinder { <0.0025, 0.0125, 0.0975>, <0.0025, -0.0125, 0.0975>, 0.0025 }
  cylinder { <0.0025, 0.0125, -0.0975>, <0.0025, -0.0125, -0.0975>, 0.0025 }
  cylinder { <-0.0025, 0.0125, -0.0975>, <-0.0025, -0.0125, -0.0975>, 0.0025 }
  cylinder { <-0.0025, 0.0125, 0.0975>, <-0.0025, -0.0125, 0.0975>, 0.0025 }
  box { <-0.0025, -0.0125, -0.1000> <0.0025, 0.0125, 0.1000> }
  box { <-0.0025, -0.0150, -0.0975> <0.0025, 0.0150, 0.0975> }
  box { <-0.0050, -0.0125, -0.0975> <0.0050, 0.0125, 0.0975> }
  translate  -0.25*y
}
#declare CSG019 = difference {
  object { RndDisc008 }
  object { RndCube014 }
  object { RndCube015 }
  translate  <0.75, -1.8, -6.0>
}
#declare RndDisc010 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.3650, 0.3650, 0.2500> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.3750, 0.3750, 0.2300> translate 0.0100*z }
  torus { 0.3650, 0.0100  rotate -x*90 translate  0.2400*z bounded_by { box { <-0.3752, -0.3752, 0.2298>, <0.3752, 0.3752, 0.2502> } } }
  torus { 0.3650, 0.0100  rotate -x*90 translate  0.0100*z bounded_by { box { <-0.3752, -0.3752, -0.0002>, <0.3752, 0.3752, 0.0202> } } }
  rotate 90.0*x
}
#declare RndDisc011 = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0975, 0.0975, 0.0300> }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0925, 0.0925, 0.0306> translate -0.0003*z }
  }
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1000, 0.1000, 0.0250> translate 0.0025*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <0.0900, 0.0900, 0.0306> translate -0.0022*z }
  }
  torus { 0.0975, 0.0025  rotate -x*90 translate  0.0275*z bounded_by { box { <-0.1001, -0.1001, 0.0249>, <0.1001, 0.1001, 0.0301> } } }
  torus { 0.0975, 0.0025  rotate -x*90 translate  0.0025*z bounded_by { box { <-0.1001, -0.1001, -0.0001>, <0.1001, 0.1001, 0.0050> } } }
  torus { 0.0925, 0.0025  rotate -x*90 translate  0.0275*z bounded_by { box { <-0.0950, -0.0950, 0.0249>, <0.0950, 0.0950, 0.0301> } } }
  torus { 0.0925, 0.0025  rotate -x*90 translate  0.0025*z bounded_by { box { <-0.0925, -0.0925, -0.0001>, <0.0925, 0.0925, 0.0026> } } }
  rotate 90.0*x
  translate  -0.235*y
}
#declare RndCube016 = merge {
  sphere { <0.0065, 0.0125, 0.0475>, 0.0025 }
  sphere { <0.0065, -0.0125, 0.0475>, 0.0025 }
  sphere { <-0.0065, -0.0125, 0.0475>, 0.0025 }
  sphere { <-0.0065, 0.0125, 0.0475>, 0.0025 }
  sphere { <0.0065, 0.0125, -0.0475>, 0.0025 }
  sphere { <0.0065, -0.0125, -0.0475>, 0.0025 }
  sphere { <-0.0065, -0.0125, -0.0475>, 0.0025 }
  sphere { <-0.0065, 0.0125, -0.0475>, 0.0025 }
  cylinder { <0.0065, 0.0125, 0.0475>, <-0.0065, 0.0125, 0.0475>, 0.0025 }
  cylinder { <0.0065, -0.0125, 0.0475>, <-0.0065, -0.0125, 0.0475>, 0.0025 }
  cylinder { <0.0065, -0.0125, -0.0475>, <-0.0065, -0.0125, -0.0475>, 0.0025 }
  cylinder { <0.0065, 0.0125, -0.0475>, <-0.0065, 0.0125, -0.0475>, 0.0025 }
  cylinder { <0.0065, 0.0125, -0.0475>, <0.0065, 0.0125, 0.0475>, 0.0025 }
  cylinder { <0.0065, -0.0125, -0.0475>, <0.0065, -0.0125, 0.0475>, 0.0025 }
  cylinder { <-0.0065, -0.0125, -0.0475>, <-0.0065, -0.0125, 0.0475>, 0.0025 }
  cylinder { <-0.0065, 0.0125, -0.0475>, <-0.0065, 0.0125, 0.0475>, 0.0025 }
  cylinder { <0.0065, 0.0125, 0.0475>, <0.0065, -0.0125, 0.0475>, 0.0025 }
  cylinder { <0.0065, 0.0125, -0.0475>, <0.0065, -0.0125, -0.0475>, 0.0025 }
  cylinder { <-0.0065, 0.0125, -0.0475>, <-0.0065, -0.0125, -0.0475>, 0.0025 }
  cylinder { <-0.0065, 0.0125, 0.0475>, <-0.0065, -0.0125, 0.0475>, 0.0025 }
  box { <-0.0065, -0.0125, -0.0500> <0.0065, 0.0125, 0.0500> }
  box { <-0.0065, -0.0150, -0.0475> <0.0065, 0.0150, 0.0475> }
  box { <-0.0090, -0.0125, -0.0475> <0.0090, 0.0125, 0.0475> }
  translate  <0.0, -0.25, 0.095>
}
#declare CSG020 = difference {
  object { RndDisc010 }
  object { RndDisc011 }
  object { RndCube016 }
  translate  <5.0, -1.8, -5.5>
}
#declare MonitorFront = union {
  object { CSG014 }
  object { CSG015 }
  object { CSG016 }
  object { CSG017 }
  box { // MonitorScreen
    <-1, -1, -1>, <1, 1, 1>
    material {
      MonitorScreenTexture
      scale <2.0, 2.0, 1.0>
      rotate 90.0*x
      translate <-1.000000, -1.000000, -1.000000>
    }
    scale <6.25, 0.25, 4.75>
    translate  <0.0, -1.25, 0.5>
  }
  object { RndDisc004 }
  object { CSG018 }
  object { CSG019 }
  object { CSG020 }
  cylinder { // MonitorPowerLight
    <0,0,1>, <0,0,0>, 1 
    material {
      MonitorPowerTexture
    }
    scale <0.0625, 0.0625, 0.25>
    rotate 90.0*x
    translate  <4.0, -1.75, -5.5>
  }
  translate  <0.0, -4.0, 8.5>
}
#declare CSG021 = difference {
  box { // Cube051
    <-1, -1, -1>, <1, 1, 1>
    scale <6.0, 5.5, 5.25>
    translate  2.5*y
  }
  box { // Cube052
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, 1.0>
    scale <6.25, 6.0, 1.0>
    rotate -9.039483*x
    translate  <0.0, -3.0, 5.25>
  }
  box { // Cube053
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 1.0, 0.0>
    scale <1.0, 6.0, 5.5>
    rotate -1.301953*z
    translate  <-6.0, -3.0, 0.0>
  }
  box { // Cube054
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 1.0, 0.0>
    scale <1.0, 6.0, 5.5>
    rotate 1.30195*z
    translate  <6.0, -3.0, 0.0>
  }
}
#declare RndCube017 = merge {
  sphere { <5.4000, 5.9000, 0.4000>, 0.1000 }
  sphere { <5.4000, -5.9000, 0.4000>, 0.1000 }
  sphere { <-5.4000, -5.9000, 0.4000>, 0.1000 }
  sphere { <-5.4000, 5.9000, 0.4000>, 0.1000 }
  sphere { <5.4000, 5.9000, -0.4000>, 0.1000 }
  sphere { <5.4000, -5.9000, -0.4000>, 0.1000 }
  sphere { <-5.4000, -5.9000, -0.4000>, 0.1000 }
  sphere { <-5.4000, 5.9000, -0.4000>, 0.1000 }
  cylinder { <5.4000, 5.9000, 0.4000>, <-5.4000, 5.9000, 0.4000>, 0.1000 }
  cylinder { <5.4000, -5.9000, 0.4000>, <-5.4000, -5.9000, 0.4000>, 0.1000 }
  cylinder { <5.4000, -5.9000, -0.4000>, <-5.4000, -5.9000, -0.4000>, 0.1000 }
  cylinder { <5.4000, 5.9000, -0.4000>, <-5.4000, 5.9000, -0.4000>, 0.1000 }
  cylinder { <5.4000, 5.9000, -0.4000>, <5.4000, 5.9000, 0.4000>, 0.1000 }
  cylinder { <5.4000, -5.9000, -0.4000>, <5.4000, -5.9000, 0.4000>, 0.1000 }
  cylinder { <-5.4000, -5.9000, -0.4000>, <-5.4000, -5.9000, 0.4000>, 0.1000 }
  cylinder { <-5.4000, 5.9000, -0.4000>, <-5.4000, 5.9000, 0.4000>, 0.1000 }
  cylinder { <5.4000, 5.9000, 0.4000>, <5.4000, -5.9000, 0.4000>, 0.1000 }
  cylinder { <5.4000, 5.9000, -0.4000>, <5.4000, -5.9000, -0.4000>, 0.1000 }
  cylinder { <-5.4000, 5.9000, -0.4000>, <-5.4000, -5.9000, -0.4000>, 0.1000 }
  cylinder { <-5.4000, 5.9000, 0.4000>, <-5.4000, -5.9000, 0.4000>, 0.1000 }
  box { <-5.4000, -5.9000, -0.5000> <5.4000, 5.9000, 0.5000> }
  box { <-5.4000, -6.0000, -0.4000> <5.4000, 6.0000, 0.4000> }
  box { <-5.5000, -5.9000, -0.4000> <5.5000, 5.9000, 0.4000> }
  translate  <0.0, 1.75, -5.5>
}
#declare MonitorBack = union {
  object { CSG021 }
  object { RndCube017 }
  translate  <0.0, 3.0, 8.5>
}
union { // Monitor
  object { MonitorBase }
  object { MonitorFront }
  object { MonitorBack }
  material {
    BeigeTexture
  }
  rotate 45.0*z
  translate  <2.0, -2.0, 27.0>
}


union { // BookJavaScript
  box { // Cube055
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookPaperTexture
    }
    scale <0.125, 2.125, 3.5>
    translate  3.5*z
  }
  box { // Cube056
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookJavaScriptFront
      scale <2.0, 2.0, 1.0>
      rotate <90.0, 0.0, 90.0>
      translate <0.000000, -1.000000, -1.000000>
    }
    scale <0.00001, 2.125, 3.5>
    translate  <0.125, 0.0, 3.5>
  }
  box { // Cube057
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookJavaScriptBack
      scale <2.0, 2.0, 1.0>
      rotate <90.0, 0.0, -90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.125, 3.5>
    translate  <-0.125, 0.0, 3.5>
  }
  box { // Cube058
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookJavaScriptSide
      scale <2.0, 2.0, 1.0>
      rotate 90.0*x
      translate <-1.000000, 0.000000, -1.000000>
    }
    scale <0.125, 0.00001, 3.5>
    translate  <0.0, -2.125, 3.5>
  }
  rotate 90.0*z
  translate  <-2.228372, -23.394356, 36.75>
}


union { // BookSQL
  box { // Cube059
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookPaperTexture
    }
    scale <0.4375, 2.375, 4.0>
    translate  4.0*z
  }
  box { // Cube060
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookSQLFront
      scale <2.0, 2.0, 1.0>
      rotate <90.0, 0.0, 90.0>
      translate <0.000000, -1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 4.0>
    translate  <0.4375, 0.0, 4.0>
  }
  box { // Cube061
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookSQLBack
      scale <2.0, 2.0, 1.0>
      rotate <90.0, 0.0, -90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 2.375, 4.0>
    translate  <-0.4375, 0.0, 4.0>
  }
  box { // Cube062
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookSQLSide
      scale <2.0, 2.0, 1.0>
      rotate 90.0*x
      translate <-1.000000, 0.000000, -1.000000>
    }
    scale <0.4375, 0.00001, 4.0>
    translate  <0.0, -2.375, 4.0>
  }
  rotate 90.0*z
  translate  <-2.474862, -23.986857, 36.75>
}


union { // BookJava
  box { // Cube063
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookPaperTexture
    }
    scale <0.675, 3.0, 4.5>
    translate  4.5*z
  }
  box { // Cube064
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookJavaFront
      scale <2.0, 2.0, 1.0>
      rotate <90.0, 0.0, 90.0>
      translate <0.000000, -1.000000, -1.000000>
    }
    scale <0.00001, 3.0, 4.5>
    translate  <0.675, 0.0, 4.5>
  }
  box { // Cube065
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookJavaBack
      scale <2.0, 2.0, 1.0>
      rotate <90.0, 0.0, -90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 3.0, 4.5>
    translate  <-0.675, 0.0, 4.5>
  }
  box { // Cube066
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookJavaSide
      scale <2.0, 2.0, 1.0>
      rotate 90.0*x
      translate <-1.000000, 0.000000, -1.000000>
    }
    scale <0.675, 0.00001, 4.5>
    translate  <0.0, -3.0, 4.5>
  }
  rotate 90.0*z
  translate  <-3.10002, -25.13202, 36.75>
}


union { // BookHTML
  box { // Cube067
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookPaperTexture
    }
    scale <0.5, 3.5, 4.625>
    translate  4.625*z
  }
  box { // Cube068
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookHTMLFront
      scale <2.0, 2.0, 1.0>
      rotate <90.0, 0.0, 90.0>
      translate <0.000000, -1.000000, -1.000000>
    }
    scale <0.00001, 3.5, 4.625>
    translate  <0.5, 0.0, 4.625>
  }
  box { // Cube069
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookHTMLBack
      scale <2.0, 2.0, 1.0>
      rotate <90.0, 0.0, -90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 3.5, 4.625>
    translate  <-0.5, 0.0, 4.625>
  }
  box { // Cube070
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookHTMLSide
      scale <2.0, 2.0, 1.0>
      rotate 90.0*x
      translate <-1.000000, 0.000000, -1.000000>
    }
    scale <0.5, 0.00001, 4.625>
    translate  <0.0, -3.5, 4.625>
  }
  rotate 90.0*z
  translate  <-3.60032, -26.325429, 36.75>
}


#declare SpeakerLeftMesh = merge {
  sphere { <1.6500, 0.0000, 1.9000>, 0.1000 }
  sphere { <-1.6500, 0.0000, 1.9000>, 0.1000 }
  sphere { <1.6500, 0.0000, -1.9000>, 0.1000 }
  sphere { <-1.6500, 0.0000, -1.9000>, 0.1000 }
  cylinder { <1.6500, 0.0000, 1.9000>, <-1.6500, 0.0000, 1.9000>, 0.1000 }
  cylinder { <1.6500, 0.0000, -1.9000>, <-1.6500, 0.0000, -1.9000>, 0.1000 }
  cylinder { <1.6500, 0.0000, -1.9000>, <1.6500, 0.0000, 1.9000>, 0.1000 }
  cylinder { <-1.6500, 0.0000, -1.9000>, <-1.6500, 0.0000, 1.9000>, 0.1000 }
  box { <-1.6500, -0.1000, -1.9000> <1.6500, 0.1000, 1.9000> }
  material {
    SpeakerMeshTexture
  }
  scale <1.0, 0.5, 1.0>
  translate  <0.0, -1.5, 3.75>
}
#declare RndCube007 = merge {
  sphere { <0.2750, 0.1500, 0.5250>, 0.1000 }
  sphere { <0.2750, -0.1500, 0.5250>, 0.1000 }
  sphere { <-0.2750, -0.1500, 0.5250>, 0.1000 }
  sphere { <-0.2750, 0.1500, 0.5250>, 0.1000 }
  sphere { <0.2750, 0.1500, -0.5250>, 0.1000 }
  sphere { <0.2750, -0.1500, -0.5250>, 0.1000 }
  sphere { <-0.2750, -0.1500, -0.5250>, 0.1000 }
  sphere { <-0.2750, 0.1500, -0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, 0.5250>, <-0.2750, 0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, -0.1500, 0.5250>, <-0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, -0.1500, -0.5250>, <-0.2750, -0.1500, -0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, -0.5250>, <-0.2750, 0.1500, -0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, -0.5250>, <0.2750, 0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, -0.1500, -0.5250>, <0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <-0.2750, -0.1500, -0.5250>, <-0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <-0.2750, 0.1500, -0.5250>, <-0.2750, 0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, 0.5250>, <0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, -0.5250>, <0.2750, -0.1500, -0.5250>, 0.1000 }
  cylinder { <-0.2750, 0.1500, -0.5250>, <-0.2750, -0.1500, -0.5250>, 0.1000 }
  cylinder { <-0.2750, 0.1500, 0.5250>, <-0.2750, -0.1500, 0.5250>, 0.1000 }
  box { <-0.2750, -0.1500, -0.6250> <0.2750, 0.1500, 0.6250> }
  box { <-0.2750, -0.2500, -0.5250> <0.2750, 0.2500, 0.5250> }
  box { <-0.3750, -0.1500, -0.5250> <0.3750, 0.1500, 0.5250> }
}
#declare CSG003 = difference {
  object { RndCube007 }
  box { // Cube009
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <-0.06875, -0.3, 0.0>
  }
  box { // Cube014
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <-0.20625, -0.3, 0.0>
  }
  box { // Cube015
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <0.20625, -0.3, 0.0>
  }
  box { // Cube016
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <0.06875, -0.3, 0.0>
  }
  translate  <1.625, -1.35, 4.0>
}
#declare RndCube008 = merge {
  sphere { <0.2750, 0.1500, 0.5250>, 0.1000 }
  sphere { <0.2750, -0.1500, 0.5250>, 0.1000 }
  sphere { <-0.2750, -0.1500, 0.5250>, 0.1000 }
  sphere { <-0.2750, 0.1500, 0.5250>, 0.1000 }
  sphere { <0.2750, 0.1500, -0.5250>, 0.1000 }
  sphere { <0.2750, -0.1500, -0.5250>, 0.1000 }
  sphere { <-0.2750, -0.1500, -0.5250>, 0.1000 }
  sphere { <-0.2750, 0.1500, -0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, 0.5250>, <-0.2750, 0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, -0.1500, 0.5250>, <-0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, -0.1500, -0.5250>, <-0.2750, -0.1500, -0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, -0.5250>, <-0.2750, 0.1500, -0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, -0.5250>, <0.2750, 0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, -0.1500, -0.5250>, <0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <-0.2750, -0.1500, -0.5250>, <-0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <-0.2750, 0.1500, -0.5250>, <-0.2750, 0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, 0.5250>, <0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, -0.5250>, <0.2750, -0.1500, -0.5250>, 0.1000 }
  cylinder { <-0.2750, 0.1500, -0.5250>, <-0.2750, -0.1500, -0.5250>, 0.1000 }
  cylinder { <-0.2750, 0.1500, 0.5250>, <-0.2750, -0.1500, 0.5250>, 0.1000 }
  box { <-0.2750, -0.1500, -0.6250> <0.2750, 0.1500, 0.6250> }
  box { <-0.2750, -0.2500, -0.5250> <0.2750, 0.2500, 0.5250> }
  box { <-0.3750, -0.1500, -0.5250> <0.3750, 0.1500, 0.5250> }
}
#declare CSG005 = difference {
  object { RndCube008 }
  box { // Cube017
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <-0.06875, -0.3, 0.0>
  }
  box { // Cube018
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <-0.20625, -0.3, 0.0>
  }
  box { // Cube022
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <0.20625, -0.3, 0.0>
  }
  box { // Cube023
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <0.06875, -0.3, 0.0>
  }
  translate  <-1.625, -1.35, 4.0>
}
#declare RndCube003 = merge {
  sphere { <1.7500, 1.2500, 2.7500>, 0.2500 }
  sphere { <1.7500, -1.2500, 2.7500>, 0.2500 }
  sphere { <-1.7500, -1.2500, 2.7500>, 0.2500 }
  sphere { <-1.7500, 1.2500, 2.7500>, 0.2500 }
  sphere { <1.7500, 1.2500, -2.7500>, 0.2500 }
  sphere { <1.7500, -1.2500, -2.7500>, 0.2500 }
  sphere { <-1.7500, -1.2500, -2.7500>, 0.2500 }
  sphere { <-1.7500, 1.2500, -2.7500>, 0.2500 }
  cylinder { <1.7500, 1.2500, 2.7500>, <-1.7500, 1.2500, 2.7500>, 0.2500 }
  cylinder { <1.7500, -1.2500, 2.7500>, <-1.7500, -1.2500, 2.7500>, 0.2500 }
  cylinder { <1.7500, -1.2500, -2.7500>, <-1.7500, -1.2500, -2.7500>, 0.2500 }
  cylinder { <1.7500, 1.2500, -2.7500>, <-1.7500, 1.2500, -2.7500>, 0.2500 }
  cylinder { <1.7500, 1.2500, -2.7500>, <1.7500, 1.2500, 2.7500>, 0.2500 }
  cylinder { <1.7500, -1.2500, -2.7500>, <1.7500, -1.2500, 2.7500>, 0.2500 }
  cylinder { <-1.7500, -1.2500, -2.7500>, <-1.7500, -1.2500, 2.7500>, 0.2500 }
  cylinder { <-1.7500, 1.2500, -2.7500>, <-1.7500, 1.2500, 2.7500>, 0.2500 }
  cylinder { <1.7500, 1.2500, 2.7500>, <1.7500, -1.2500, 2.7500>, 0.2500 }
  cylinder { <1.7500, 1.2500, -2.7500>, <1.7500, -1.2500, -2.7500>, 0.2500 }
  cylinder { <-1.7500, 1.2500, -2.7500>, <-1.7500, -1.2500, -2.7500>, 0.2500 }
  cylinder { <-1.7500, 1.2500, 2.7500>, <-1.7500, -1.2500, 2.7500>, 0.2500 }
  box { <-1.7500, -1.2500, -3.0000> <1.7500, 1.2500, 3.0000> }
  box { <-1.7500, -1.5000, -2.7500> <1.7500, 1.5000, 2.7500> }
  box { <-2.0000, -1.2500, -2.7500> <2.0000, 1.2500, 2.7500> }
  translate  3.0*z
}
#declare RndCube013 = merge {
  sphere { <0.2000, 0.1875, 0.0125>, 0.0625 }
  sphere { <0.2000, -0.1875, 0.0125>, 0.0625 }
  sphere { <-0.2000, -0.1875, 0.0125>, 0.0625 }
  sphere { <-0.2000, 0.1875, 0.0125>, 0.0625 }
  sphere { <0.2000, 0.1875, -0.0125>, 0.0625 }
  sphere { <0.2000, -0.1875, -0.0125>, 0.0625 }
  sphere { <-0.2000, -0.1875, -0.0125>, 0.0625 }
  sphere { <-0.2000, 0.1875, -0.0125>, 0.0625 }
  cylinder { <0.2000, 0.1875, 0.0125>, <-0.2000, 0.1875, 0.0125>, 0.0625 }
  cylinder { <0.2000, -0.1875, 0.0125>, <-0.2000, -0.1875, 0.0125>, 0.0625 }
  cylinder { <0.2000, -0.1875, -0.0125>, <-0.2000, -0.1875, -0.0125>, 0.0625 }
  cylinder { <0.2000, 0.1875, -0.0125>, <-0.2000, 0.1875, -0.0125>, 0.0625 }
  cylinder { <0.2000, 0.1875, -0.0125>, <0.2000, 0.1875, 0.0125>, 0.0625 }
  cylinder { <0.2000, -0.1875, -0.0125>, <0.2000, -0.1875, 0.0125>, 0.0625 }
  cylinder { <-0.2000, -0.1875, -0.0125>, <-0.2000, -0.1875, 0.0125>, 0.0625 }
  cylinder { <-0.2000, 0.1875, -0.0125>, <-0.2000, 0.1875, 0.0125>, 0.0625 }
  cylinder { <0.2000, 0.1875, 0.0125>, <0.2000, -0.1875, 0.0125>, 0.0625 }
  cylinder { <0.2000, 0.1875, -0.0125>, <0.2000, -0.1875, -0.0125>, 0.0625 }
  cylinder { <-0.2000, 0.1875, -0.0125>, <-0.2000, -0.1875, -0.0125>, 0.0625 }
  cylinder { <-0.2000, 0.1875, 0.0125>, <-0.2000, -0.1875, 0.0125>, 0.0625 }
  box { <-0.2000, -0.1875, -0.0750> <0.2000, 0.1875, 0.0750> }
  box { <-0.2000, -0.2500, -0.0125> <0.2000, 0.2500, 0.0125> }
  box { <-0.2625, -0.1875, -0.0125> <0.2625, 0.1875, 0.0125> }
  rotate -50.0*y
  translate  <0.1, -1.5, 0.8>
}
#declare CSG006 = difference {
  object { RndCube013 }
  box { // Cube024
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 0.3, 0.13>
    rotate -50.0*y
    translate  <0.1, -1.15, 0.8>
  }
}
#declare RndCube012 = merge {
  sphere { <0.2000, 0.1875, 0.0125>, 0.0625 }
  sphere { <0.2000, -0.1875, 0.0125>, 0.0625 }
  sphere { <-0.2000, -0.1875, 0.0125>, 0.0625 }
  sphere { <-0.2000, 0.1875, 0.0125>, 0.0625 }
  sphere { <0.2000, 0.1875, -0.0125>, 0.0625 }
  sphere { <0.2000, -0.1875, -0.0125>, 0.0625 }
  sphere { <-0.2000, -0.1875, -0.0125>, 0.0625 }
  sphere { <-0.2000, 0.1875, -0.0125>, 0.0625 }
  cylinder { <0.2000, 0.1875, 0.0125>, <-0.2000, 0.1875, 0.0125>, 0.0625 }
  cylinder { <0.2000, -0.1875, 0.0125>, <-0.2000, -0.1875, 0.0125>, 0.0625 }
  cylinder { <0.2000, -0.1875, -0.0125>, <-0.2000, -0.1875, -0.0125>, 0.0625 }
  cylinder { <0.2000, 0.1875, -0.0125>, <-0.2000, 0.1875, -0.0125>, 0.0625 }
  cylinder { <0.2000, 0.1875, -0.0125>, <0.2000, 0.1875, 0.0125>, 0.0625 }
  cylinder { <0.2000, -0.1875, -0.0125>, <0.2000, -0.1875, 0.0125>, 0.0625 }
  cylinder { <-0.2000, -0.1875, -0.0125>, <-0.2000, -0.1875, 0.0125>, 0.0625 }
  cylinder { <-0.2000, 0.1875, -0.0125>, <-0.2000, 0.1875, 0.0125>, 0.0625 }
  cylinder { <0.2000, 0.1875, 0.0125>, <0.2000, -0.1875, 0.0125>, 0.0625 }
  cylinder { <0.2000, 0.1875, -0.0125>, <0.2000, -0.1875, -0.0125>, 0.0625 }
  cylinder { <-0.2000, 0.1875, -0.0125>, <-0.2000, -0.1875, -0.0125>, 0.0625 }
  cylinder { <-0.2000, 0.1875, 0.0125>, <-0.2000, -0.1875, 0.0125>, 0.0625 }
  box { <-0.2000, -0.1875, -0.0750> <0.2000, 0.1875, 0.0750> }
  box { <-0.2000, -0.2500, -0.0125> <0.2000, 0.2500, 0.0125> }
  box { <-0.2625, -0.1875, -0.0125> <0.2625, 0.1875, 0.0125> }
  rotate -50.0*y
  translate  <-0.4, -1.5, 0.8>
}
#declare CSG008 = difference {
  object { RndCube012 }
  box { // Cube025
    <-1, -1, -1>, <1, 1, 1>
    scale <0.3, 0.3, 0.13>
    rotate -50.0*y
    translate  <-0.4, -1.15, 0.8>
  }
}
#declare CSG010 = difference {
  object { RndCube003 }
  cylinder { // Cylndr008
    <0,0,1>, <0,0,0>, 1 
    scale <0.15, 0.15, 0.25>
    rotate 90.0*x
    translate  <-1.0, -1.45, 0.75>
  }
  cylinder { // Cylndr009
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.4, 0.25>
    rotate 90.0*x
    translate  <1.0, -1.45, 1.0>
  }
  object { CSG006 }
  object { CSG008 }
  cylinder { // Cylndr011
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.25>
    rotate 90.0*x
    translate  <-1.0, -1.4, 1.1>
  }
}
#declare RndDisc001 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1150, 0.1150, 0.6000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1250, 0.1250, 0.5800> translate 0.0100*z }
  torus { 0.1150, 0.0100  rotate -x*90 translate  0.5900*z bounded_by { box { <-0.1252, -0.1252, 0.5798>, <0.1252, 0.1252, 0.6002> } } }
  torus { 0.1150, 0.0100  rotate -x*90 translate  0.0100*z bounded_by { box { <-0.1252, -0.1252, -0.0002>, <0.1252, 0.1252, 0.0202> } } }
  rotate 90.0*x
  translate  <-1.0, -1.0, 0.75>
}
#declare RndDisc002 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.3250, 0.3250, 0.7500> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.3750, 0.3750, 0.6500> translate 0.0500*z }
  torus { 0.3250, 0.0500  rotate -x*90 translate  0.7000*z bounded_by { box { <-0.3760, -0.3760, 0.6490>, <0.3760, 0.3760, 0.7510> } } }
  torus { 0.3250, 0.0500  rotate -x*90 translate  0.0500*z bounded_by { box { <-0.3760, -0.3760, -0.0010>, <0.3760, 0.3760, 0.1010> } } }
  rotate 90.0*x
}
#declare RndCube009 = merge {
  sphere { <0.1000, 0.1000, 0.0000>, 0.0250 }
  sphere { <0.1000, -0.1000, 0.0000>, 0.0250 }
  sphere { <-0.1000, -0.1000, 0.0000>, 0.0250 }
  sphere { <-0.1000, 0.1000, 0.0000>, 0.0250 }
  cylinder { <0.1000, 0.1000, 0.0000>, <-0.1000, 0.1000, 0.0000>, 0.0250 }
  cylinder { <0.1000, -0.1000, 0.0000>, <-0.1000, -0.1000, 0.0000>, 0.0250 }
  cylinder { <0.1000, 0.1000, 0.0000>, <0.1000, -0.1000, 0.0000>, 0.0250 }
  cylinder { <-0.1000, 0.1000, 0.0000>, <-0.1000, -0.1000, 0.0000>, 0.0250 }
  box { <-0.1000, -0.1000, -0.0250> <0.1000, 0.1000, 0.0250> }
  translate  <-0.25, -0.65, 0.0>
}
#declare Group001 = union {
  object { RndDisc002 }
  object { RndCube009 }
  rotate <0.0, 45.0, -0.0>
  translate  <1.0, -1.25, 1.0>
}
#declare RndCube010 = merge {
  sphere { <0.1875, 0.1875, 0.0000>, 0.0625 }
  sphere { <0.1875, -0.1875, 0.0000>, 0.0625 }
  sphere { <-0.1875, -0.1875, 0.0000>, 0.0625 }
  sphere { <-0.1875, 0.1875, 0.0000>, 0.0625 }
  cylinder { <0.1875, 0.1875, 0.0000>, <-0.1875, 0.1875, 0.0000>, 0.0625 }
  cylinder { <0.1875, -0.1875, 0.0000>, <-0.1875, -0.1875, 0.0000>, 0.0625 }
  cylinder { <0.1875, 0.1875, 0.0000>, <0.1875, -0.1875, 0.0000>, 0.0625 }
  cylinder { <-0.1875, 0.1875, 0.0000>, <-0.1875, -0.1875, 0.0000>, 0.0625 }
  box { <-0.1875, -0.1875, -0.0625> <0.1875, 0.1875, 0.0625> }
  rotate -50.0*y
  translate  <-0.4, -1.35, 0.8>
}
#declare RndCube011 = merge {
  sphere { <0.1875, 0.1875, 0.0000>, 0.0625 }
  sphere { <0.1875, -0.1875, 0.0000>, 0.0625 }
  sphere { <-0.1875, -0.1875, 0.0000>, 0.0625 }
  sphere { <-0.1875, 0.1875, 0.0000>, 0.0625 }
  cylinder { <0.1875, 0.1875, 0.0000>, <-0.1875, 0.1875, 0.0000>, 0.0625 }
  cylinder { <0.1875, -0.1875, 0.0000>, <-0.1875, -0.1875, 0.0000>, 0.0625 }
  cylinder { <0.1875, 0.1875, 0.0000>, <0.1875, -0.1875, 0.0000>, 0.0625 }
  cylinder { <-0.1875, 0.1875, 0.0000>, <-0.1875, -0.1875, 0.0000>, 0.0625 }
  box { <-0.1875, -0.1875, -0.0625> <0.1875, 0.1875, 0.0625> }
  rotate -50.0*y
  translate  <0.1, -1.35, 0.8>
}
union { // SpeakerLeft
  object { SpeakerLeftMesh }
  object { CSG003 }
  object { CSG005 }
  object { CSG010 }
  object { RndDisc001 }
  object { Group001 }
  object { RndCube010 }
  object { RndCube011 }
  sphere { // SpeakerLeftLight
    <0,0,0>,1
    material {
      SpeakerPowerTexture
    }
    scale 0.05
    translate  <-1.0, -1.45, 1.1>
  }
  material {
    BeigeTexture
  }
  rotate 90.0*z
  translate  <-1.75, -14.8, 27.0>
}


#declare RndCube001 = merge {
  sphere { <1.7500, 1.2500, 2.7500>, 0.2500 }
  sphere { <1.7500, -1.2500, 2.7500>, 0.2500 }
  sphere { <-1.7500, -1.2500, 2.7500>, 0.2500 }
  sphere { <-1.7500, 1.2500, 2.7500>, 0.2500 }
  sphere { <1.7500, 1.2500, -2.7500>, 0.2500 }
  sphere { <1.7500, -1.2500, -2.7500>, 0.2500 }
  sphere { <-1.7500, -1.2500, -2.7500>, 0.2500 }
  sphere { <-1.7500, 1.2500, -2.7500>, 0.2500 }
  cylinder { <1.7500, 1.2500, 2.7500>, <-1.7500, 1.2500, 2.7500>, 0.2500 }
  cylinder { <1.7500, -1.2500, 2.7500>, <-1.7500, -1.2500, 2.7500>, 0.2500 }
  cylinder { <1.7500, -1.2500, -2.7500>, <-1.7500, -1.2500, -2.7500>, 0.2500 }
  cylinder { <1.7500, 1.2500, -2.7500>, <-1.7500, 1.2500, -2.7500>, 0.2500 }
  cylinder { <1.7500, 1.2500, -2.7500>, <1.7500, 1.2500, 2.7500>, 0.2500 }
  cylinder { <1.7500, -1.2500, -2.7500>, <1.7500, -1.2500, 2.7500>, 0.2500 }
  cylinder { <-1.7500, -1.2500, -2.7500>, <-1.7500, -1.2500, 2.7500>, 0.2500 }
  cylinder { <-1.7500, 1.2500, -2.7500>, <-1.7500, 1.2500, 2.7500>, 0.2500 }
  cylinder { <1.7500, 1.2500, 2.7500>, <1.7500, -1.2500, 2.7500>, 0.2500 }
  cylinder { <1.7500, 1.2500, -2.7500>, <1.7500, -1.2500, -2.7500>, 0.2500 }
  cylinder { <-1.7500, 1.2500, -2.7500>, <-1.7500, -1.2500, -2.7500>, 0.2500 }
  cylinder { <-1.7500, 1.2500, 2.7500>, <-1.7500, -1.2500, 2.7500>, 0.2500 }
  box { <-1.7500, -1.2500, -3.0000> <1.7500, 1.2500, 3.0000> }
  box { <-1.7500, -1.5000, -2.7500> <1.7500, 1.5000, 2.7500> }
  box { <-2.0000, -1.2500, -2.7500> <2.0000, 1.2500, 2.7500> }
  translate  3.0*z
}
#declare SpeakerRightMesh = merge {
  sphere { <1.6500, 0.0000, 1.9000>, 0.1000 }
  sphere { <-1.6500, 0.0000, 1.9000>, 0.1000 }
  sphere { <1.6500, 0.0000, -1.9000>, 0.1000 }
  sphere { <-1.6500, 0.0000, -1.9000>, 0.1000 }
  cylinder { <1.6500, 0.0000, 1.9000>, <-1.6500, 0.0000, 1.9000>, 0.1000 }
  cylinder { <1.6500, 0.0000, -1.9000>, <-1.6500, 0.0000, -1.9000>, 0.1000 }
  cylinder { <1.6500, 0.0000, -1.9000>, <1.6500, 0.0000, 1.9000>, 0.1000 }
  cylinder { <-1.6500, 0.0000, -1.9000>, <-1.6500, 0.0000, 1.9000>, 0.1000 }
  box { <-1.6500, -0.1000, -1.9000> <1.6500, 0.1000, 1.9000> }
  material {
    SpeakerMeshTexture
  }
  scale <1.0, 0.5, 1.0>
  translate  <0.0, -1.5, 3.75>
}
#declare RndCube004 = merge {
  sphere { <0.2750, 0.1500, 0.5250>, 0.1000 }
  sphere { <0.2750, -0.1500, 0.5250>, 0.1000 }
  sphere { <-0.2750, -0.1500, 0.5250>, 0.1000 }
  sphere { <-0.2750, 0.1500, 0.5250>, 0.1000 }
  sphere { <0.2750, 0.1500, -0.5250>, 0.1000 }
  sphere { <0.2750, -0.1500, -0.5250>, 0.1000 }
  sphere { <-0.2750, -0.1500, -0.5250>, 0.1000 }
  sphere { <-0.2750, 0.1500, -0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, 0.5250>, <-0.2750, 0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, -0.1500, 0.5250>, <-0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, -0.1500, -0.5250>, <-0.2750, -0.1500, -0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, -0.5250>, <-0.2750, 0.1500, -0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, -0.5250>, <0.2750, 0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, -0.1500, -0.5250>, <0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <-0.2750, -0.1500, -0.5250>, <-0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <-0.2750, 0.1500, -0.5250>, <-0.2750, 0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, 0.5250>, <0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, -0.5250>, <0.2750, -0.1500, -0.5250>, 0.1000 }
  cylinder { <-0.2750, 0.1500, -0.5250>, <-0.2750, -0.1500, -0.5250>, 0.1000 }
  cylinder { <-0.2750, 0.1500, 0.5250>, <-0.2750, -0.1500, 0.5250>, 0.1000 }
  box { <-0.2750, -0.1500, -0.6250> <0.2750, 0.1500, 0.6250> }
  box { <-0.2750, -0.2500, -0.5250> <0.2750, 0.2500, 0.5250> }
  box { <-0.3750, -0.1500, -0.5250> <0.3750, 0.1500, 0.5250> }
}
#declare CSG001 = difference {
  object { RndCube004 }
  box { // Cube004
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <-0.06875, -0.3, 0.0>
  }
  box { // Cube005
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <-0.20625, -0.3, 0.0>
  }
  box { // Cube006
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <0.20625, -0.3, 0.0>
  }
  box { // Cube007
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <0.06875, -0.3, 0.0>
  }
  translate  <1.625, -1.35, 4.0>
}
#declare RndCube005 = merge {
  sphere { <0.2750, 0.1500, 0.5250>, 0.1000 }
  sphere { <0.2750, -0.1500, 0.5250>, 0.1000 }
  sphere { <-0.2750, -0.1500, 0.5250>, 0.1000 }
  sphere { <-0.2750, 0.1500, 0.5250>, 0.1000 }
  sphere { <0.2750, 0.1500, -0.5250>, 0.1000 }
  sphere { <0.2750, -0.1500, -0.5250>, 0.1000 }
  sphere { <-0.2750, -0.1500, -0.5250>, 0.1000 }
  sphere { <-0.2750, 0.1500, -0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, 0.5250>, <-0.2750, 0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, -0.1500, 0.5250>, <-0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, -0.1500, -0.5250>, <-0.2750, -0.1500, -0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, -0.5250>, <-0.2750, 0.1500, -0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, -0.5250>, <0.2750, 0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, -0.1500, -0.5250>, <0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <-0.2750, -0.1500, -0.5250>, <-0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <-0.2750, 0.1500, -0.5250>, <-0.2750, 0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, 0.5250>, <0.2750, -0.1500, 0.5250>, 0.1000 }
  cylinder { <0.2750, 0.1500, -0.5250>, <0.2750, -0.1500, -0.5250>, 0.1000 }
  cylinder { <-0.2750, 0.1500, -0.5250>, <-0.2750, -0.1500, -0.5250>, 0.1000 }
  cylinder { <-0.2750, 0.1500, 0.5250>, <-0.2750, -0.1500, 0.5250>, 0.1000 }
  box { <-0.2750, -0.1500, -0.6250> <0.2750, 0.1500, 0.6250> }
  box { <-0.2750, -0.2500, -0.5250> <0.2750, 0.2500, 0.5250> }
  box { <-0.3750, -0.1500, -0.5250> <0.3750, 0.1500, 0.5250> }
}
#declare CSG012 = difference {
  object { RndCube005 }
  box { // Cube008
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <-0.06875, -0.3, 0.0>
  }
  box { // Cube030
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <-0.20625, -0.3, 0.0>
  }
  box { // Cube031
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <0.20625, -0.3, 0.0>
  }
  box { // Cube032
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.1, 0.5>
    translate  <0.06875, -0.3, 0.0>
  }
  translate  <-1.625, -1.35, 4.0>
}
union { // SpeakerRight
  object { RndCube001 }
  object { SpeakerRightMesh }
  object { CSG001 }
  object { CSG012 }
  material {
    BeigeTexture
  }
  translate  <14.8, 1.75, 27.0>
}


union { // BookJSP
  box { // Cube071
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookPaperTexture
    }
    scale <0.6875, 3.75, 4.625>
    translate  4.625*z
  }
  box { // Cube072
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookJSPFront
      scale <2.0, 2.0, 1.0>
      rotate <90.0, 0.0, 90.0>
      translate <0.000000, -1.000000, -1.000000>
    }
    scale <0.00001, 3.75, 4.625>
    translate  <0.6875, 0.0, 4.625>
  }
  box { // Cube073
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookJSPBack
      scale <2.0, 2.0, 1.0>
      rotate <90.0, 0.0, -90.0>
      translate <0.000000, 1.000000, -1.000000>
    }
    scale <0.00001, 3.75, 4.625>
    translate  <-0.6875, 0.0, 4.625>
  }
  box { // Cube074
    <-1, -1, -1>, <1, 1, 1>
    material {
      BookJSPSide
      scale <2.0, 2.0, 1.0>
      rotate 90.0*x
      translate <-1.000000, 0.000000, -1.000000>
    }
    scale <0.6875, 0.00001, 4.625>
    translate  <0.0, -3.75, 4.625>
  }
  rotate <-0.0, -0.0, 90.0>
  translate  <-3.850045, -27.532519, 36.75>
}


#declare CSG022 = difference {
  box { // Cube079
    <-1, -1, -1>, <1, 1, 1>
    material {
      NotepadTop
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.0, 2.0, 0.00001>
    translate  3.25*z
  }
  cylinder { // Cylndr018
    <0,0,1>, <0,0,0>, 1 
    scale <0.25, 0.25, 0.1>
    translate  <1.5, 1.5, 3.2>
  }
  material {
    BookPaperTexture
  }
}
#declare CSG023 = difference {
  cylinder { // Cylndr019
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, -2.5>
    translate  <1.5, 1.5, 3.25>
  }
  cylinder { // Cylndr020
    <0,0,1>, <0,0,0>, 1 
    scale <0.25, 0.25, -2.05>
    translate  <1.5, 1.5, 3.3>
  }
  material {
    NotepadCenter
  }
}
union { // Notepad
  box { // Cube077
    <-1, -1, -1>, <1, 1, 1>
    material {
      NotepadSide
      scale <2.0, 2.0, 1.0>
      rotate <90.0, 0.0, 90.0>
      translate <0.000000, -1.000000, -1.000000>
    }
    scale <0.00001, 2.0, 1.625>
    rotate -180.0*z
    translate  <-2.0, 0.0, 1.625>
  }
  box { // Cube078
    <-1, -1, -1>, <1, 1, 1>
    material {
      NotepadFront
      scale <2.0, 2.0, 1.0>
      rotate 90.0*x
      translate <-1.000000, 0.000000, -1.000000>
    }
    scale <2.0, 0.00001, 1.625>
    translate  <0.0, -2.0, 1.625>
  }
  object { CSG022 }
  box { // Cube080
    <-1, -1, -1>, <1, 1, 1>
    material {
      NotepadSide
      scale <2.0, 2.0, 1.0>
      rotate <90.0, 0.0, 90.0>
      translate <0.000000, -1.000000, -1.000000>
    }
    scale <0.00001, 2.0, 1.625>
    translate  <2.0, 0.0, 1.625>
  }
  box { // Cube081
    <-1, -1, -1>, <1, 1, 1>
    material {
      NotepadFront
      scale <2.0, 2.0, 1.0>
      rotate 90.0*x
      translate <-1.000000, 0.000000, -1.000000>
    }
    scale <2.0, 0.00001, 1.625>
    rotate -180.0*z
    translate  <0.0, 2.0, 1.625>
  }
  object { CSG023 }
  material {
    BookPaperTexture
  }
  rotate 90.0*z
  translate  <-2.308577, -20.362073, 36.75>
}


#declare RndCube018 = merge {
  sphere { <0.4500, 0.5000, 0.0000>, 0.0500 }
  sphere { <0.4500, -0.5000, 0.0000>, 0.0500 }
  sphere { <-0.4500, -0.5000, 0.0000>, 0.0500 }
  sphere { <-0.4500, 0.5000, 0.0000>, 0.0500 }
  cylinder { <0.4500, 0.5000, 0.0000>, <-0.4500, 0.5000, 0.0000>, 0.0500 }
  cylinder { <0.4500, -0.5000, 0.0000>, <-0.4500, -0.5000, 0.0000>, 0.0500 }
  cylinder { <0.4500, 0.5000, 0.0000>, <0.4500, -0.5000, 0.0000>, 0.0500 }
  cylinder { <-0.4500, 0.5000, 0.0000>, <-0.4500, -0.5000, 0.0000>, 0.0500 }
  box { <-0.4500, -0.5000, -0.0500> <0.4500, 0.5000, 0.0500> }
  translate  -0.45*y
}
#declare CSG024 = difference {
  object { RndCube018 }
  box { // Cube082
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, -1.0, 0.0>
    scale <0.26, 0.26, 0.06>
    translate  -0.5*y
  }
}
#declare RndDisc012 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.4500, 0.4500, 0.1000> }
  torus { 0.4500, 0.0500  rotate -x*90 translate  0.0500*z bounded_by { box { <-0.5010, -0.5010, -0.0010>, <0.5010, 0.5010, 0.1010> } } }
  translate  <0.0, -0.5, -0.05>
}
#declare CSG025 = union {
  object { CSG024 }
  object { RndDisc012 }
  rotate <-0.0, -180.0, -0.0>
  translate  <2.125, -0.25, 0.5>
}
#declare RndCube019 = merge {
  sphere { <0.4500, 0.5000, 0.0000>, 0.0500 }
  sphere { <0.4500, -0.5000, 0.0000>, 0.0500 }
  sphere { <-0.4500, -0.5000, 0.0000>, 0.0500 }
  sphere { <-0.4500, 0.5000, 0.0000>, 0.0500 }
  cylinder { <0.4500, 0.5000, 0.0000>, <-0.4500, 0.5000, 0.0000>, 0.0500 }
  cylinder { <0.4500, -0.5000, 0.0000>, <-0.4500, -0.5000, 0.0000>, 0.0500 }
  cylinder { <0.4500, 0.5000, 0.0000>, <0.4500, -0.5000, 0.0000>, 0.0500 }
  cylinder { <-0.4500, 0.5000, 0.0000>, <-0.4500, -0.5000, 0.0000>, 0.0500 }
  box { <-0.4500, -0.5000, -0.0500> <0.4500, 0.5000, 0.0500> }
  translate  -0.45*y
}
#declare CSG026 = difference {
  object { RndCube019 }
  box { // Cube083
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, -1.0, 0.0>
    scale <0.26, 0.26, 0.06>
    translate  -0.5*y
  }
}
#declare RndDisc013 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.4500, 0.4500, 0.1000> }
  torus { 0.4500, 0.0500  rotate -x*90 translate  0.0500*z bounded_by { box { <-0.5010, -0.5010, -0.0010>, <0.5010, 0.5010, 0.1010> } } }
  translate  <0.0, -0.5, -0.05>
}
#declare CSG027 = union {
  object { CSG026 }
  object { RndDisc013 }
  translate  <-2.125, -0.25, 0.5>
}
#declare RndDisc014 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1500, 0.1500, 0.5000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.2500, 0.2500, 0.3000> translate 0.1000*z }
  torus { 0.1500, 0.1000  rotate -x*90 translate  0.4000*z bounded_by { box { <-0.2520, -0.2520, 0.2980>, <0.2520, 0.2520, 0.5020> } } }
  torus { 0.1500, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.2520, -0.2520, -0.0020>, <0.2520, 0.2520, 0.2020> } } }
  rotate 90.0*x
  translate  <-2.75, 0.25, 5.0>
}
#declare RndDisc015 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1500, 0.1500, 0.5000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.2500, 0.2500, 0.3000> translate 0.1000*z }
  torus { 0.1500, 0.1000  rotate -x*90 translate  0.4000*z bounded_by { box { <-0.2520, -0.2520, 0.2980>, <0.2520, 0.2520, 0.5020> } } }
  torus { 0.1500, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.2520, -0.2520, -0.0020>, <0.2520, 0.2520, 0.2020> } } }
  rotate 90.0*x
  translate  <2.75, 0.25, 5.0>
}
#declare RndDisc016 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1500, 0.1500, 0.5000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.2500, 0.2500, 0.3000> translate 0.1000*z }
  torus { 0.1500, 0.1000  rotate -x*90 translate  0.4000*z bounded_by { box { <-0.2520, -0.2520, 0.2980>, <0.2520, 0.2520, 0.5020> } } }
  torus { 0.1500, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.2520, -0.2520, -0.0020>, <0.2520, 0.2520, 0.2020> } } }
  rotate 90.0*x
  translate  <2.75, 0.25, 0.25>
}
#declare RndDisc017 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1500, 0.1500, 0.5000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.2500, 0.2500, 0.3000> translate 0.1000*z }
  torus { 0.1500, 0.1000  rotate -x*90 translate  0.4000*z bounded_by { box { <-0.2520, -0.2520, 0.2980>, <0.2520, 0.2520, 0.5020> } } }
  torus { 0.1500, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.2520, -0.2520, -0.0020>, <0.2520, 0.2520, 0.2020> } } }
  rotate 90.0*x
  translate  <-2.75, 0.25, 0.25>
}
#declare RndCube020 = merge {
  sphere { <2.9000, 0.1500, 2.5250>, 0.1000 }
  sphere { <2.9000, -0.1500, 2.5250>, 0.1000 }
  sphere { <-2.9000, -0.1500, 2.5250>, 0.1000 }
  sphere { <-2.9000, 0.1500, 2.5250>, 0.1000 }
  sphere { <2.9000, 0.1500, -2.5250>, 0.1000 }
  sphere { <2.9000, -0.1500, -2.5250>, 0.1000 }
  sphere { <-2.9000, -0.1500, -2.5250>, 0.1000 }
  sphere { <-2.9000, 0.1500, -2.5250>, 0.1000 }
  cylinder { <2.9000, 0.1500, 2.5250>, <-2.9000, 0.1500, 2.5250>, 0.1000 }
  cylinder { <2.9000, -0.1500, 2.5250>, <-2.9000, -0.1500, 2.5250>, 0.1000 }
  cylinder { <2.9000, -0.1500, -2.5250>, <-2.9000, -0.1500, -2.5250>, 0.1000 }
  cylinder { <2.9000, 0.1500, -2.5250>, <-2.9000, 0.1500, -2.5250>, 0.1000 }
  cylinder { <2.9000, 0.1500, -2.5250>, <2.9000, 0.1500, 2.5250>, 0.1000 }
  cylinder { <2.9000, -0.1500, -2.5250>, <2.9000, -0.1500, 2.5250>, 0.1000 }
  cylinder { <-2.9000, -0.1500, -2.5250>, <-2.9000, -0.1500, 2.5250>, 0.1000 }
  cylinder { <-2.9000, 0.1500, -2.5250>, <-2.9000, 0.1500, 2.5250>, 0.1000 }
  cylinder { <2.9000, 0.1500, 2.5250>, <2.9000, -0.1500, 2.5250>, 0.1000 }
  cylinder { <2.9000, 0.1500, -2.5250>, <2.9000, -0.1500, -2.5250>, 0.1000 }
  cylinder { <-2.9000, 0.1500, -2.5250>, <-2.9000, -0.1500, -2.5250>, 0.1000 }
  cylinder { <-2.9000, 0.1500, 2.5250>, <-2.9000, -0.1500, 2.5250>, 0.1000 }
  box { <-2.9000, -0.1500, -2.6250> <2.9000, 0.1500, 2.6250> }
  box { <-2.9000, -0.2500, -2.5250> <2.9000, 0.2500, 2.5250> }
  box { <-3.0000, -0.1500, -2.5250> <3.0000, 0.1500, 2.5250> }
  material {
    BlackPlastic
  }
  translate  2.625*z
}
#declare CSG028 = difference {
  object { RndCube020 }
  box { // Cube084
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*y
    translate  <-1.0, 0.0, 1.0>
    scale <0.15, 0.3, 0.15>
    translate  <-2.75, 0.0, 5.0>
  }
  box { // Cube085
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*y
    translate  <-1.0, 0.0, -1.0>
    scale <0.15, 0.3, 0.15>
    translate  <-2.75, 0.0, 0.25>
  }
  box { // Cube086
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*y
    translate  <1.0, 0.0, -1.0>
    scale <0.15, 0.3, 0.15>
    translate  <2.75, 0.0, 0.25>
  }
  box { // Cube087
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*y
    translate  <1.0, 0.0, 1.0>
    scale <0.15, 0.3, 0.15>
    translate  <2.75, 0.0, 5.0>
  }
}
#declare CSG029 = union {
  object { RndDisc014 }
  object { RndDisc015 }
  object { RndDisc016 }
  object { RndDisc017 }
  object { CSG028 }
}
#declare CSG030 = difference {
  object { CSG029 }
  box { // Cube088
    <-1, -1, -1>, <1, 1, 1>
    scale <3.01, 0.13, 2.63>
    translate  <0.0, 0.13, 2.625>
  }
}
union { // Calendar
  object { CSG025 }
  object { CSG027 }
  object { CSG030 }
  box { // Cube089
    <-1, -1, -1>, <1, 1, 1>
    material {
      CalendarPage
      scale <2.0, 2.0, 1.0>
      rotate 90.0*x
      translate <-1.000000, 0.000000, -1.000000>
    }
    scale <2.625, 0.375, 2.125>
    translate  <0.0, -0.625, 2.75>
  }
  material {
    BlackPlastic
  }
  rotate -20.0*x
  translate  <24.644015, 1.152154, 36.75>
}


#declare CSG031 = difference {
  box { // Cube090
    <-1, -1, -1>, <1, 1, 1>
    scale <2.25, 1.75, 0.375>
    translate  0.375*z
  }
  box { // Cube091
    <-1, -1, -1>, <1, 1, 1>
    translate  2.75*y
    scale <1.25, 1.0, 0.4>
    rotate 60.0*z
    translate  0.375*z
  }
  box { // Cube092
    <-1, -1, -1>, <1, 1, 1>
    translate  2.75*y
    scale <1.25, 1.0, 0.4>
    rotate 120.0*z
    translate  0.375*z
  }
  box { // Cube093
    <-1, -1, -1>, <1, 1, 1>
    translate  2.75*y
    scale <1.25, 1.0, 0.4>
    rotate -120.0*z
    translate  0.375*z
  }
  box { // Cube094
    <-1, -1, -1>, <1, 1, 1>
    translate  2.75*y
    scale <1.25, 1.0, 0.4>
    rotate -60.0*z
    translate  0.375*z
  }
  cylinder { // Cylndr021
    <0,0,1>, <0,0,0>, 1 
    scale <1.625, 1.625, 0.5>
    translate  0.55*z
  }
  cylinder { // Cylndr022
    <0,0,1>, <0,0,0>, 1 
    scale <1.6, 1.6, -0.5>
    translate  0.1*z
  }
  translate  0.1*z
}
union { // Coaster
  object { CSG031 }
  cylinder { // CoasterBottom
    <0,0,1>, <0,0,0>, 1 
    material {
      CorkTexture
    }
    scale <1.625, 1.625, 0.1>
  }
  cylinder { // Cylndr023
    <0,0,1>, <0,0,0>, 1 
    material {
      CoasterImage
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <1.55, 1.55, 0.075>
    translate  0.1*z
  }
  material {
    Crystal
  }
  rotate 7.0*z
  translate  <25.0, -1.74, 27.0>
}


#declare RndDisc018 = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.5000, 1.5000, 3.5000> translate 0.1250*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.2500, 1.2500, 3.8250> translate -0.0875*z }
  }
  torus { 1.3750, 0.1250  rotate -x*90 translate  3.6250*z bounded_by { box { <-1.5025, -1.5025, 3.4975>, <1.5025, 1.5025, 3.7525> } } }
  torus { 1.3750, 0.1250  rotate -x*90 translate  0.1250*z bounded_by { box { <-1.5025, -1.5025, -0.0025>, <1.5025, 1.5025, 0.2525> } } }
}
#declare RndCube021 = merge {
  sphere { <0.1250, 0.2500, 0.0000>, 0.1250 }
  sphere { <0.1250, -0.2500, 0.0000>, 0.1250 }
  sphere { <-0.1250, -0.2500, 0.0000>, 0.1250 }
  sphere { <-0.1250, 0.2500, 0.0000>, 0.1250 }
  cylinder { <0.1250, 0.2500, 0.0000>, <-0.1250, 0.2500, 0.0000>, 0.1250 }
  cylinder { <0.1250, -0.2500, 0.0000>, <-0.1250, -0.2500, 0.0000>, 0.1250 }
  cylinder { <0.1250, 0.2500, 0.0000>, <0.1250, -0.2500, 0.0000>, 0.1250 }
  cylinder { <-0.1250, 0.2500, 0.0000>, <-0.1250, -0.2500, 0.0000>, 0.1250 }
  box { <-0.1250, -0.2500, -0.1250> <0.1250, 0.2500, 0.1250> }
  translate  1.125*z
}
#declare RndCube022 = merge {
  sphere { <0.1250, 0.2500, 0.0000>, 0.1250 }
  sphere { <0.1250, -0.2500, 0.0000>, 0.1250 }
  sphere { <-0.1250, -0.2500, 0.0000>, 0.1250 }
  sphere { <-0.1250, 0.2500, 0.0000>, 0.1250 }
  cylinder { <0.1250, 0.2500, 0.0000>, <-0.1250, 0.2500, 0.0000>, 0.1250 }
  cylinder { <0.1250, -0.2500, 0.0000>, <-0.1250, -0.2500, 0.0000>, 0.1250 }
  cylinder { <0.1250, 0.2500, 0.0000>, <0.1250, -0.2500, 0.0000>, 0.1250 }
  cylinder { <-0.1250, 0.2500, 0.0000>, <-0.1250, -0.2500, 0.0000>, 0.1250 }
  box { <-0.1250, -0.2500, -0.1250> <0.1250, 0.2500, 0.1250> }
  translate  -1.125*z
}
#declare CSG032 = union {
  object { RndCube021 }
  object { RndCube022 }
}
#declare CSG033 = difference {
  object { CSG032 }
  cylinder { // Cylndr024
    <0,0,1>, <0,0,0>, 1 
    scale <1.5, 1.5, 2.6>
    translate  <1.5, 0.0, -1.3>
  }
  box { // Cube095
    <-1, -1, -1>, <1, 1, 1>
    translate  -1.0*x
    scale <0.13, 0.4, 1.3>
  }
}
#declare RndDisc019 = merge {
  difference {
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.2500, 1.2500, 0.5000> translate 0.1250*z }
    cylinder { <0,0,1>,<0,0,0>, 1   scale <1.0000, 1.0000, 0.7650> translate -0.1175*z }
  }
  torus { 1.1250, 0.1250  rotate -x*90 translate  0.6250*z bounded_by { box { <-1.2525, -1.2525, 0.4975>, <1.2525, 1.2525, 0.7525> } } }
  torus { 1.1250, 0.1250  rotate -x*90 translate  0.1250*z bounded_by { box { <-1.2525, -1.2525, -0.0025>, <1.2525, 1.2525, 0.2525> } } }
  rotate 90.0*x
  translate  0.375*y
}
#declare CSG034 = difference {
  object { RndDisc019 }
  box { // Cube096
    <-1, -1, -1>, <1, 1, 1>
    translate  1.0*x
    scale <0.7, 0.4, 1.3>
  }
}
#declare Group002 = union {
  object { CSG033 }
  object { CSG034 }
  translate  <-1.5, 0.0, 1.875>
}
union { // Mug
  object { RndDisc018 }
  object { Group002 }
  cylinder { // Cylndr025
    <0,0,1>, <0,0,0>, 1 
    scale <1.375, 1.375, 0.125>
    translate  0.125*z
  }
  material {
    MugPlastic
  }
  rotate 169.7556*z
  translate  <25.0, -1.75, 27.65>
}


#declare PinPoint = union {
  cone { // Cone004
    <0,0,0>, 0.0, <0,0,1>, 0.03125
    scale <1.0, 1.0, 0.125>
  }
  cylinder { // Cylndr026
    <0,0,1>, <0,0,0>, 1 
    scale <0.03125, 0.03125, 0.25>
    translate  0.125*z
  }
  material {
    SilverTexture
  }
}
#declare CSG035 = difference {
  sphere { // Sphere002
    <0,0,0>,1
    scale <0.1875, 0.1875, 0.149247>
  }
  cylinder { // Cylndr028
    <0,0,1>, <0,0,0>, 1 
    scale <0.19, 0.19, -0.15>
  }
}
#declare PinBody = union {
  cone { // Cone002
    <0,0,0>, 0.09375, <0,0,1>, 0.0625
    scale <1.0, 1.0, 0.25>
    translate  0.125*z
  }
  cone { // Cone003
    <0,0,0>, 0.0625, <0,0,1>, 0.125
    scale <1.0, 1.0, 0.0625>
    translate  0.375*z
  }
  cylinder { // Cylndr027
    <0,0,1>, <0,0,0>, 1 
    scale <0.125, 0.125, 0.0625>
    translate  0.4375*z
  }
  object { CSG035 }
  material {
    YellowPlastic
  }
  translate  0.375*z
}
union { // Pin
  object { PinPoint }
  object { PinBody }
  rotate <60.0, 0.0, 45.0>
  translate  <5.85, -5.85, 50.625>
}


box { // PhotoFalls
  <-1, -1, -1>, <1, 1, 1>
  material {
    PhotoFallsImage
    scale <2.0, 2.0, 1.0>
    rotate 90.0*x
    translate <-1.000000, 0.000000, -1.000000>
  }
  scale <2.0, 0.00001, 1.333333>
  rotate <0.0, 1.0, 45.0>
  translate  <10.0, -2.0, 49.5>
}


box { // PhotoKitty
  <-1, -1, -1>, <1, 1, 1>
  material {
    PhotoKittyImage
    scale <2.0, 2.0, 1.0>
    rotate 90.0*x
    translate <-1.000000, 0.000000, -1.000000>
  }
  scale <2.0, 0.00001, 1.333333>
  rotate <-0.0, -2.0, 45.0>
  translate  <6.0, -6.0, 49.5>
}


#declare RndCube023 = merge {
  sphere { <8.9000, 3.0250, 0.2750>, 0.1000 }
  sphere { <8.9000, -3.0250, 0.2750>, 0.1000 }
  sphere { <-8.9000, -3.0250, 0.2750>, 0.1000 }
  sphere { <-8.9000, 3.0250, 0.2750>, 0.1000 }
  sphere { <8.9000, 3.0250, -0.2750>, 0.1000 }
  sphere { <8.9000, -3.0250, -0.2750>, 0.1000 }
  sphere { <-8.9000, -3.0250, -0.2750>, 0.1000 }
  sphere { <-8.9000, 3.0250, -0.2750>, 0.1000 }
  cylinder { <8.9000, 3.0250, 0.2750>, <-8.9000, 3.0250, 0.2750>, 0.1000 }
  cylinder { <8.9000, -3.0250, 0.2750>, <-8.9000, -3.0250, 0.2750>, 0.1000 }
  cylinder { <8.9000, -3.0250, -0.2750>, <-8.9000, -3.0250, -0.2750>, 0.1000 }
  cylinder { <8.9000, 3.0250, -0.2750>, <-8.9000, 3.0250, -0.2750>, 0.1000 }
  cylinder { <8.9000, 3.0250, -0.2750>, <8.9000, 3.0250, 0.2750>, 0.1000 }
  cylinder { <8.9000, -3.0250, -0.2750>, <8.9000, -3.0250, 0.2750>, 0.1000 }
  cylinder { <-8.9000, -3.0250, -0.2750>, <-8.9000, -3.0250, 0.2750>, 0.1000 }
  cylinder { <-8.9000, 3.0250, -0.2750>, <-8.9000, 3.0250, 0.2750>, 0.1000 }
  cylinder { <8.9000, 3.0250, 0.2750>, <8.9000, -3.0250, 0.2750>, 0.1000 }
  cylinder { <8.9000, 3.0250, -0.2750>, <8.9000, -3.0250, -0.2750>, 0.1000 }
  cylinder { <-8.9000, 3.0250, -0.2750>, <-8.9000, -3.0250, -0.2750>, 0.1000 }
  cylinder { <-8.9000, 3.0250, 0.2750>, <-8.9000, -3.0250, 0.2750>, 0.1000 }
  box { <-8.9000, -3.0250, -0.3750> <8.9000, 3.0250, 0.3750> }
  box { <-8.9000, -3.1250, -0.2750> <8.9000, 3.1250, 0.2750> }
  box { <-9.0000, -3.0250, -0.2750> <9.0000, 3.0250, 0.2750> }
  translate  <0.0, 3.125, 0.375>
}
#declare CSG037 = difference {
  box { // Cube124
    <-1, -1, -1>, <1, 1, 1>
    scale <1.15, 1.9, 0.5>
  }
  box { // Cube126
    <-1, -1, -1>, <1, 1, 1>
    translate  -1.0*x
    scale <0.5, 0.35, 0.6>
    translate  <-0.4, -0.75, 0.0>
  }
  box { // Cube127
    <-1, -1, -1>, <1, 1, 1>
    translate  1.0*x
    scale <0.525, 0.35, 0.6>
    translate  <0.4, -0.75, 0.0>
  }
  translate  <7.0, -0.05, 0.5>
}
#declare KeyCutouts = union {
  box { // Cube097
    <-1, -1, -1>, <1, 1, 1>
    scale <5.65, 1.9, 0.5>
    translate  <0.0, -0.05, 0.5>
  }
  box { // Cube125
    <-1, -1, -1>, <1, 1, 1>
    scale <1.525, 1.9, 0.5>
    translate  <9.875, -0.05, 0.5>
  }
  object { CSG037 }
  box { // Cube129
    <-1, -1, -1>, <1, 1, 1>
    scale <1.525, 0.4, 0.5>
    translate  <4.125, 2.45, 0.5>
  }
  box { // Cube135
    <-1, -1, -1>, <1, 1, 1>
    scale <1.525, 0.4, 0.5>
    translate  <0.875, 2.45, 0.5>
  }
  box { // Cube141
    <-1, -1, -1>, <1, 1, 1>
    scale <1.525, 0.4, 0.5>
    translate  <-2.375, 2.45, 0.5>
  }
  box { // Cube147
    <-1, -1, -1>, <1, 1, 1>
    scale <1.15, 0.4, 0.5>
    translate  <7.0, 2.45, 0.5>
  }
  box { // Cube153
    <-1, -1, -1>, <1, 1, 1>
    scale <0.525, 0.4, 0.5>
    translate  <-5.125, 2.45, 0.5>
  }
  box { // Cube154
    <-1, -1, -1>, <1, 1, 1>
    material {
      DarkKeyTexture
    }
    scale <1.525, 0.4, 0.125>
    translate  <9.875, 2.45, 0.4>
  }
  translate  <-2.875, 2.375, 0.375>
}
#declare CSG038 = difference {
  object { RndCube023 }
  box { // Cube128
    <-1, -1, -1>, <1, 1, 1>
    translate  <0.0, -1.0, 1.0>
    scale <9.01, 0.15, 0.15>
    translate  <0.0, 0.25, 0.5>
  }
  object { KeyCutouts }
}
#declare RndDisc020 = merge {
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.1500, 0.1500, 18.0000> }
  cylinder { <0,0,1>,<0,0,0>, 1   scale <0.2500, 0.2500, 17.8000> translate 0.1000*z }
  torus { 0.1500, 0.1000  rotate -x*90 translate  17.9000*z bounded_by { box { <-0.2520, -0.2520, 17.7980>, <0.2520, 0.2520, 18.0020> } } }
  torus { 0.1500, 0.1000  rotate -x*90 translate  0.1000*z bounded_by { box { <-0.2520, -0.2520, -0.0020>, <0.2520, 0.2520, 0.2020> } } }
  rotate <-0.0, -90.0, -0.0>
  translate  <9.0, 0.25, 0.5>
}
#declare KeyboardBase = union {
  object { CSG038 }
  object { RndDisc020 }
}
#declare BackspaceKey = difference {
  box { // Cube103
    <-1, -1, -1>, <1, 1, 1>
    scale <0.75, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube104
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.8, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube105
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.625, 0.0, 0.5>
  }
  box { // Cube106
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.625, 0.0, 0.5>
  }
  box { // Cube107
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.8, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  4.875*x
}
#declare FirstRow = union {
  object { StandardKey }
  object { // StandardKey1 -> StandardKey
    StandardKey
    translate  0.75*x
  }
  object { // StandardKey2 -> StandardKey
    StandardKey
    translate  1.5*x
  }
  object { // StandardKey3 -> StandardKey
    StandardKey
    translate  2.25*x
  }
  object { // StandardKey4 -> StandardKey
    StandardKey
    translate  3.0*x
  }
  object { // StandardKey5 -> StandardKey
    StandardKey
    translate  3.75*x
  }
  object { // StandardKey6 -> StandardKey
    StandardKey
    translate  4.5*x
  }
  object { // StandardKey7 -> StandardKey
    StandardKey
    translate  5.25*x
  }
  object { // StandardKey8 -> StandardKey
    StandardKey
    translate  6.0*x
  }
  object { // StandardKey9 -> StandardKey
    StandardKey
    translate  6.75*x
  }
  object { // StandardKey10 -> StandardKey
    StandardKey
    translate  7.5*x
  }
  object { // StandardKey11 -> StandardKey
    StandardKey
    translate  8.25*x
  }
  object { // StandardKey12 -> StandardKey
    StandardKey
    translate  9.0*x
  }
  object { BackspaceKey }
  box { // FirstRowKeysLabel
    <-1, -1, -1>, <1, 1, 1>
    material {
      FirstRowLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <5.625, 0.375, 0.00001>
    translate  0.5*z
  }
  translate  1.5*y
}
#declare TabKey = difference {
  box { // Cube108
    <-1, -1, -1>, <1, 1, 1>
    scale <0.6, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube109
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.6, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube110
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.4375, 0.0, 0.5>
  }
  box { // Cube111
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.4375, 0.0, 0.5>
  }
  box { // Cube112
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.6, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -5.0625*x
}
#declare SecondRow = union {
  object { TabKey }
  object { StandardKey13 }
  object { // StandardKey14 -> StandardKey13
    StandardKey13
    translate  0.75*x
  }
  object { // StandardKey15 -> StandardKey13
    StandardKey13
    translate  1.5*x
  }
  object { // StandardKey16 -> StandardKey13
    StandardKey13
    translate  2.25*x
  }
  object { // StandardKey17 -> StandardKey13
    StandardKey13
    translate  3.0*x
  }
  object { // StandardKey18 -> StandardKey13
    StandardKey13
    translate  3.75*x
  }
  object { // StandardKey19 -> StandardKey13
    StandardKey13
    translate  4.5*x
  }
  object { // StandardKey20 -> StandardKey13
    StandardKey13
    translate  5.25*x
  }
  object { // StandardKey21 -> StandardKey13
    StandardKey13
    translate  6.0*x
  }
  object { // StandardKey22 -> StandardKey13
    StandardKey13
    translate  6.75*x
  }
  object { // StandardKey23 -> StandardKey13
    StandardKey13
    translate  7.5*x
  }
  object { // StandardKey24 -> StandardKey13
    StandardKey13
    translate  8.25*x
  }
  box { // SecondRowKeysLabel
    <-1, -1, -1>, <1, 1, 1>
    material {
      SecondRowLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <5.625, 0.375, 0.00001>
    translate  0.5*z
  }
  translate  0.75*y
}
#declare CapsLockKey = difference {
  box { // Cube118
    <-1, -1, -1>, <1, 1, 1>
    scale <0.625, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube119
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.65, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube120
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.5, 0.0, 0.5>
  }
  box { // Cube121
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.5, 0.0, 0.5>
  }
  box { // Cube122
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.65, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -5.0*x
}
#declare CSG039 = intersection {
  box { // Cube140
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.5, 0.875, 0.4>
    rotate 10.0*y
    translate  <-0.125, 0.375, 0.5>
  }
  box { // Cube142
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.5, 0.4>
    rotate 6.0*x
    translate  <-0.5, 0.25, 0.5>
  }
}
#declare EnterKey = difference {
  box { // Cube134
    <-1, -1, -1>, <1, 1, 1>
    scale <0.875, 0.75, 0.25>
    translate  <0.0, 0.375, 0.25>
  }
  box { // Cube136
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.875, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 1.0, 0.5>
  }
  box { // Cube137
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.875, 0.3>
    rotate 10.0*y
    translate  <-0.75, 0.375, 0.5>
  }
  box { // Cube138
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.875, 0.3>
    rotate -10.0*y
    translate  <0.75, 0.375, 0.5>
  }
  box { // Cube139
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.875, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  object { CSG039 }
  translate  4.75*x
}
#declare ThirdRow = union {
  object { CapsLockKey }
  object { StandardKey25 }
  object { // StandardKey26 -> StandardKey25
    StandardKey25
    translate  0.75*x
  }
  object { // StandardKey27 -> StandardKey25
    StandardKey25
    translate  1.5*x
  }
  object { // StandardKey28 -> StandardKey25
    StandardKey25
    translate  2.25*x
  }
  object { // StandardKey29 -> StandardKey25
    StandardKey25
    translate  3.0*x
  }
  object { // StandardKey30 -> StandardKey25
    StandardKey25
    translate  3.75*x
  }
  object { // StandardKey31 -> StandardKey25
    StandardKey25
    translate  4.5*x
  }
  object { // StandardKey32 -> StandardKey25
    StandardKey25
    translate  5.25*x
  }
  object { // StandardKey33 -> StandardKey25
    StandardKey25
    translate  6.0*x
  }
  object { // StandardKey34 -> StandardKey25
    StandardKey25
    translate  6.75*x
  }
  object { // StandardKey35 -> StandardKey25
    StandardKey25
    translate  7.5*x
  }
  object { EnterKey }
  box { // ThirdRowKeysLabel
    <-1, -1, -1>, <1, 1, 1>
    material {
      ThirdRowLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <5.625, 0.375, 0.00001>
    translate  0.5*z
  }
}
#declare ShiftKey = difference {
  box { // Cube143
    <-1, -1, -1>, <1, 1, 1>
    scale <0.8, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube144
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.81, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube145
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.6875, 0.0, 0.5>
  }
  box { // Cube146
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.6875, 0.0, 0.5>
  }
  box { // Cube148
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.81, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -4.8*x
}
#declare CapsLockKey1 = difference {
  box { // Cube156
    <-1, -1, -1>, <1, 1, 1>
    scale <0.625, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube157
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.65, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube158
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.5, 0.0, 0.5>
  }
  box { // Cube159
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.5, 0.0, 0.5>
  }
  box { // Cube160
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.65, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  4.175*x
}
#declare FourthRow = union {
  object { ShiftKey }
  object { StandardKey36 }
  object { // StandardKey37 -> StandardKey36
    StandardKey36
    translate  0.75*x
  }
  object { // StandardKey38 -> StandardKey36
    StandardKey36
    translate  1.5*x
  }
  object { // StandardKey39 -> StandardKey36
    StandardKey36
    translate  2.25*x
  }
  object { // StandardKey40 -> StandardKey36
    StandardKey36
    translate  3.0*x
  }
  object { // StandardKey41 -> StandardKey36
    StandardKey36
    translate  3.75*x
  }
  object { // StandardKey42 -> StandardKey36
    StandardKey36
    translate  4.5*x
  }
  object { // StandardKey43 -> StandardKey36
    StandardKey36
    translate  5.25*x
  }
  object { // StandardKey44 -> StandardKey36
    StandardKey36
    translate  6.0*x
  }
  object { // StandardKey45 -> StandardKey36
    StandardKey36
    translate  6.75*x
  }
  object { CapsLockKey1 }
  object { // StandardKey46 -> StandardKey36
    StandardKey36
    translate  8.8*x
  }
  box { // FourthRowKeysLabel
    <-1, -1, -1>, <1, 1, 1>
    material {
      FourthRowLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <5.625, 0.375, 0.00001>
    translate  0.5*z
  }
  translate  -0.75*y
}
#declare SpaceKey = difference {
  box { // Cube166
    <-1, -1, -1>, <1, 1, 1>
    scale <2.15, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube167
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <2.25, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube168
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-2.0, 0.0, 0.5>
  }
  box { // Cube169
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <2.0, 0.0, 0.5>
  }
  box { // Cube170
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <2.25, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -0.49*x
}
#declare FifthRow = union {
  object { AltKey }
  object { // AltKey1 -> AltKey
    AltKey
    translate  1.0*x
  }
  object { // AltKey2 -> AltKey
    AltKey
    translate  2.0*x
  }
  object { SpaceKey }
  object { // AltKey6 -> AltKey3
    AltKey3
    translate  -3.0*x
  }
  object { // AltKey5 -> AltKey3
    AltKey3
    translate  -2.0*x
  }
  object { // AltKey4 -> AltKey3
    AltKey3
    translate  -1.0*x
  }
  object { AltKey3 }
  box { // FifthRowKeysLabel
    <-1, -1, -1>, <1, 1, 1>
    material {
      FifthRowLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <5.625, 0.375, 0.00001>
    translate  0.5*z
  }
  translate  -1.5*y
}
#declare MainKeys = union {
  object { FirstRow }
  object { SecondRow }
  object { ThirdRow }
  object { FourthRow }
  object { FifthRow }
}
#declare StandardKey50 = difference {
  box { // Cube181
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube182
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube183
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube184
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube185
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -0.75*y
}
#declare ArrowKeys = union {
  object { // KeyRow2 -> KeyRow
    KeyRow
    translate  1.5*y
  }
  object { // KeyRow1 -> KeyRow
    KeyRow
    translate  0.75*y
  }
  object { KeyRow }
  object { StandardKey50 }
  object { // KeyRow4 -> KeyRow
    KeyRow
    translate  -1.5*y
  }
  box { // CommandKeysLabel
    <-1, -1, -1>, <1, 1, 1>
    material {
      CommandLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <1.125, 1.875, 0.00001>
    translate  0.5*z
  }
  translate  7.0*x
}
#declare KeyRow5 = union {
  object { StandardKey55 }
  object { // StandardKey56 -> StandardKey55
    StandardKey55
    translate  0.75*x
  }
  object { // StandardKey57 -> StandardKey55
    StandardKey55
    translate  1.5*x
  }
  object { // StandardKey58 -> StandardKey55
    StandardKey55
    translate  2.25*x
  }
  translate  1.5*y
}
#declare KeyRow6 = union {
  object { // StandardKey60 -> StandardKey59
    StandardKey59
    translate  0.75*x
  }
  object { // StandardKey61 -> StandardKey59
    StandardKey59
    translate  1.5*x
  }
  object { StandardKey59 }
  translate  0.75*y
}
#declare StandardKey64 = difference {
  box { // Cube196
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube197
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube198
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube199
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube200
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -1.125*x
}
#declare PlusKey = difference {
  box { // Cube201
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.75, 0.25>
    translate  <0.0, 0.375, 0.25>
  }
  box { // Cube202
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 1.0, 0.5>
  }
  box { // Cube203
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.875, 0.3>
    rotate 10.0*y
    translate  <-0.25, 0.375, 0.5>
  }
  box { // Cube204
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.875, 0.3>
    rotate -10.0*y
    translate  <0.25, 0.375, 0.5>
  }
  box { // Cube205
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  1.125*x
}
#declare KeyRow7 = union {
  object { // StandardKey62 -> StandardKey59
    StandardKey59
    translate  0.75*x
  }
  object { // StandardKey63 -> StandardKey59
    StandardKey59
    translate  1.5*x
  }
  object { StandardKey64 }
  object { PlusKey }
}
#declare StandardKey67 = difference {
  box { // Cube206
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube207
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube208
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube209
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube210
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -1.125*x
}
#declare KeyRow8 = union {
  object { // StandardKey65 -> StandardKey59
    StandardKey59
    translate  0.75*x
  }
  object { // StandardKey66 -> StandardKey59
    StandardKey59
    translate  1.5*x
  }
  object { StandardKey67 }
  translate  -0.75*y
}
#declare ZeroKey = difference {
  box { // Cube211
    <-1, -1, -1>, <1, 1, 1>
    scale <0.75, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube212
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.8, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube213
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.625, 0.0, 0.5>
  }
  box { // Cube214
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.625, 0.0, 0.5>
  }
  box { // Cube215
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.8, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -0.75*x
}
#declare StandardKey70 = difference {
  box { // Cube216
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube217
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube218
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube219
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube220
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  0.375*x
}
#declare PlusKey1 = difference {
  box { // Cube221
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.75, 0.25>
    translate  <0.0, 0.375, 0.25>
  }
  box { // Cube222
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 1.0, 0.5>
  }
  box { // Cube223
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.875, 0.3>
    rotate 10.0*y
    translate  <-0.25, 0.375, 0.5>
  }
  box { // Cube224
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.875, 0.3>
    rotate -10.0*y
    translate  <0.25, 0.375, 0.5>
  }
  box { // Cube225
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  1.125*x
}
#declare KeyRow9 = union {
  object { ZeroKey }
  object { StandardKey70 }
  object { PlusKey1 }
  translate  -1.5*y
}
#declare NumberKeys = union {
  object { KeyRow5 }
  object { KeyRow6 }
  object { KeyRow7 }
  object { KeyRow8 }
  object { KeyRow9 }
  box { // NumberKeysLabel
    <-1, -1, -1>, <1, 1, 1>
    material {
      NumberLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <1.5, 1.875, 0.00001>
    translate  0.5*z
  }
  translate  9.875*x
}
#declare FunctionKeys3 = union {
  object { StandardKey51 }
  object { // StandardKey52 -> StandardKey51
    StandardKey51
    translate  0.75*x
  }
  object { // StandardKey53 -> StandardKey51
    StandardKey51
    translate  1.5*x
  }
  object { // StandardKey54 -> StandardKey51
    StandardKey51
    translate  2.25*x
  }
  box { // Function3KeysLabel
    <-1, -1, -1>, <1, 1, 1>
    material {
      Function3Label
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <1.5, 0.375, 0.00001>
    translate  0.5*z
  }
  translate  <4.125, 2.5, 0.0>
}
#declare StandardKey68 = difference {
  box { // Cube231
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube232
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube233
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube234
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube235
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -1.125*x
}
#declare FunctionKeys2 = union {
  object { StandardKey68 }
  object { // StandardKey69 -> StandardKey51
    StandardKey51
    translate  0.75*x
  }
  object { // StandardKey71 -> StandardKey51
    StandardKey51
    translate  1.5*x
  }
  object { // StandardKey72 -> StandardKey51
    StandardKey51
    translate  2.25*x
  }
  box { // Function2KeysLabel
    <-1, -1, -1>, <1, 1, 1>
    material {
      Function2Label
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <1.5, 0.375, 0.00001>
    translate  0.5*z
  }
  translate  <0.875, 2.5, 0.0>
}
#declare StandardKey73 = difference {
  box { // Cube236
    <-1, -1, -1>, <1, 1, 1>
    scale <0.4, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube237
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube238
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.25, 0.0, 0.5>
  }
  box { // Cube239
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.25, 0.0, 0.5>
  }
  box { // Cube240
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.5, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
  translate  -1.125*x
}
#declare FunctionKeys1 = union {
  object { StandardKey73 }
  object { // StandardKey74 -> StandardKey51
    StandardKey51
    translate  0.75*x
  }
  object { // StandardKey75 -> StandardKey51
    StandardKey51
    translate  1.5*x
  }
  object { // StandardKey76 -> StandardKey51
    StandardKey51
    translate  2.25*x
  }
  box { // Function1KeysLabel
    <-1, -1, -1>, <1, 1, 1>
    material {
      Function1Label
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <1.5, 0.375, 0.00001>
    translate  0.5*z
  }
  translate  <-2.375, 2.5, 0.0>
}
#declare FunctionKeys4 = union {
  object { StandardKey77 }
  object { // StandardKey78 -> StandardKey77
    StandardKey77
    translate  0.75*x
  }
  object { // StandardKey79 -> StandardKey77
    StandardKey77
    translate  -0.75*x
  }
  material {
    DarkKeyTexture
  }
  translate  <7.0, 2.5, 0.0>
}
#declare EscKeyBody = difference {
  box { // Cube246
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 0.4, 0.25>
    translate  0.25*z
  }
  box { // Cube247
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, 1.0, -1.0>
    scale <0.625, 0.1, 0.3>
    rotate 6.0*x
    translate  <0.0, 0.25, 0.5>
  }
  box { // Cube248
    <-1, -1, -1>, <1, 1, 1>
    translate  <-1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate 12.0*y
    translate  <-0.375, 0.0, 0.5>
  }
  box { // Cube249
    <-1, -1, -1>, <1, 1, 1>
    translate  <1.0, 0.0, -1.0>
    scale <0.1, 0.5, 0.3>
    rotate -12.0*y
    translate  <0.375, 0.0, 0.5>
  }
  box { // Cube250
    <-1, -1, -1>, <1, 1, 1>
    rotate -0.0*x
    translate  <0.0, -1.0, -1.0>
    scale <0.625, 0.1, 0.3>
    rotate -16.0*x
    translate  <0.0, -0.25, 0.5>
  }
}
#declare EscKey = union {
  object { EscKeyBody }
  box { // EscKeyLabel
    <-1, -1, -1>, <1, 1, 1>
    material {
      EscLabel
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <0.5, 0.375, 0.00001>
    translate  0.5*z
  }
  translate  <-5.125, 2.5, 0.0>
}
#declare AllKeys = union {
  object { MainKeys }
  object { ArrowKeys }
  object { NumberKeys }
  object { FunctionKeys3 }
  object { FunctionKeys2 }
  object { FunctionKeys1 }
  object { FunctionKeys4 }
  object { EscKey }
  translate  <-2.875, 2.375, 0.575>
}
#declare KeyboardLights = union {
  box { // KeyboardLight
    <-1, -1, -1>, <1, 1, 1>
    scale <0.0625, 0.03125, 0.125>
    translate  <5.75, 4.75, 0.526>
  }
  box { // KeyboardLight1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.0625, 0.03125, 0.125>
    translate  <6.75, 4.75, 0.524>
  }
  box { // KeyboardLight2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.0625, 0.03125, 0.125>
    translate  <7.75, 4.75, 0.524>
  }
  material {
    MonitorPowerTexture
  }
}
union { // Keyboard
  object { KeyboardBase }
  object { AllKeys }
  object { KeyboardLights }
  material {
    BeigeTexture
  }
  rotate <10.0, -0.0, 45.0>
  translate  <14.0, -14.0, 27.0>
}


#declare RndCube024 = merge {
  sphere { <8.3750, 0.6250, 0.0000>, 0.7500 }
  sphere { <8.3750, -0.6250, 0.0000>, 0.7500 }
  sphere { <-8.3750, -0.6250, 0.0000>, 0.7500 }
  sphere { <-8.3750, 0.6250, 0.0000>, 0.7500 }
  cylinder { <8.3750, 0.6250, 0.0000>, <-8.3750, 0.6250, 0.0000>, 0.7500 }
  cylinder { <8.3750, -0.6250, 0.0000>, <-8.3750, -0.6250, 0.0000>, 0.7500 }
  cylinder { <8.3750, 0.6250, 0.0000>, <8.3750, -0.6250, 0.0000>, 0.7500 }
  cylinder { <-8.3750, 0.6250, 0.0000>, <-8.3750, -0.6250, 0.0000>, 0.7500 }
  box { <-8.3750, -0.6250, -0.7500> <8.3750, 0.6250, 0.7500> }
}
difference { // Handrest
  object { RndCube024 }
  box { // Cube251
    <-1, -1, -1>, <1, 1, 1>
    scale <9.2, 1.4, 0.51>
    translate  -0.51*z
  }
  material {
    FabricTexture
  }
  rotate 45.0*z
  translate  <15.125, -15.125, 27.0>
}


union { // SketchPad
  box { // Cube252
    <-1, -1, -1>, <1, 1, 1>
    material {
      SketchpadPagesImage
      scale <2.0, 2.0, 1.0>
      rotate 90.0*x
      translate <-1.000000, 0.000000, -1.000000>
    }
    scale <2.75, 4.25, 0.25>
    translate  0.3125*z
  }
  box { // Cube253
    <-1, -1, -1>, <1, 1, 1>
    material {
      SketchpadBackImage
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.75, 4.25, 0.03125>
    translate  0.03125*z
  }
  box { // Cube254
    <-1, -1, -1>, <1, 1, 1>
    material {
      SketchpadFrontImage
      scale <2.0, 2.0, 1.0>
      translate <-1.000000, -1.000000, 0.000000>
    }
    scale <2.75, 4.25, 0.00001>
    translate  0.5625*z
  }
  box { // Cube255
    <-1, -1, -1>, <1, 1, 1>
    rotate <-0.0, 0.0, -0.0>
    translate  <1.0, 0.0, 0.0>
    material {
      SketchpadSideImage
      scale <2.0, 2.0, 1.0>
      translate <0.000000, -1.000000, 0.000000>
    }
    scale <0.1875, 4.249, 0.282>
    translate  <-2.751, 0.0, 0.2815>
  }
  rotate 82.0*z
  translate  <-5.5, -22.5, 27.0>
}


box { // PhotoShip
  <-1, -1, -1>, <1, 1, 1>
  material {
    PhotoShipImage
    scale <2.0, 2.0, 1.0>
    rotate 90.0*x
    translate <-1.000000, 0.000000, -1.000000>
  }
  scale <2.0, 0.00001, 1.333333>
  rotate <0.0, 3.0, 45.0>
  translate  <2.0, -10.0, 49.5>
}


